# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.language import _T
import logging
import os

from migrator.core import MigrationNoContextError
from migrator.core.actions.base.common_action import CommonAction
from migrator.core.actions.migration_list.utils import get_migration_list_file_location
from migrator.core.utils import strip_multiline_spaces, get_executable_file_name

logger = logging.getLogger(__name__)


class CheckMigrationListExistsForMigration(CommonAction):
    def get_description(self):
        return _T("CHECK_IF_MIGRATION_LIST_FILE_EXISTS")

    def get_failure_message(self, global_context):
        """
        :type global_context: parallels.core.global_context.GlobalMigrationContext
        """
        return _T("FAILED_CHECK_IF_MIGRATION_LIST_FILE_1")

    def run(self, global_context):
        """
        :type global_context: parallels.core.global_context.GlobalMigrationContext
        """
        migration_list_file = get_migration_list_file_location(global_context)

        if not os.path.exists(migration_list_file):
            raise MigrationNoContextError(strip_multiline_spaces(_T("MIGRATION_LIST_IS_NOT_DEFINED_PLEASE")) % (
                migration_list_file,
                get_executable_file_name(),
                )
            )
