# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.language import _T
from migrator.core.actions.base.common_action import CommonAction
from migrator.core.session.migration_list import MigrationList, path_to_migration_list

logger = logging.getLogger(__name__)


class GenerateMigrationList(CommonAction):
    def get_description(self):
        return _T("ACTION_GENERATE_MIGRATION_LIST")

    def get_failure_message(self, global_context):
        """
        :type global_context: parallels.core.global_context.GlobalMigrationContext
        """
        return _T("FAILED_GENERATE_MIGRATION_LIST_FILE")

    def run(self, global_context):
        """
        :type global_context: parallels.core.global_context.GlobalMigrationContext
        """

        migration_list = MigrationList()
        filename = path_to_migration_list()
        migration_list.load_from_data(global_context.migrator.get_migration_list_source_data())
        migration_list.write(filename)
        logger.info(_T("MIGRATION_LIST_FILE_TEMPLATE_IS_SAVED"), filename)
