# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core import _T
from migrator.core.actions.base.common_action import CommonAction
from migrator.core.data.model.subscription import SubscriptionMigrationStatus


class ResetMigrationProgress(CommonAction):
    def run(self, global_context):
        for item in global_context.migration_list_data:
            subscription_progress = global_context.progress.get_subscription(item.id)
            if subscription_progress.status != SubscriptionMigrationStatus.NEW_SUBSCRIPTION:
                subscription_progress.status = SubscriptionMigrationStatus.IN_PROGRESS

    def get_description(self):
        return _T("RESET_MIGRATION_PROGRESS")

    def get_failure_message(self, global_context):
        return _T("FAILED_TO_RESET_MIGRATION_PROGRESS")
