# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration.analyse_hosting import AnalyseHostingCommand
from migrator.core.cli.commands.declaration.check_communication_ip import CheckCommunicationIPCommand
from migrator.core.cli.commands.declaration.check_ip_pools import CheckIpPoolsCommand
from migrator.core.cli.commands.declaration.check_oa_license import CheckOALicenseCommand
from migrator.core.cli.commands.declaration.check_source_license import CheckSourceLicenseCommand
from migrator.core.cli.commands.declaration.check_source_data import CheckSourceDataCommand
from migrator.core.cli.commands.declaration.check_hosts_availability import CheckHostsAvailabilityCommand
from migrator.core.cli.commands.declaration.check_hosts_authentication import CheckHostsAuthenticationCommand
from migrator.core.cli.commands.declaration.check_hosts_network_mode import CheckHostsNetworkModeCommand

from migrator.core.cli.commands.declaration.check_lsh_ng_subscriptions import CheckLshNgSubscriptionsCommand
from migrator.core.cli.commands.declaration.check_lsh_ng_connections import CheckLshNgConnectionsCommand
from migrator.core.cli.commands.declaration.check_lsh_ng_config import CheckLshNgConfigCommand
from migrator.core.cli.commands.declaration.check_lsh_ng_source_hosts import CheckLshNgSourceHostsCommand
from migrator.core.cli.commands.declaration.check_lsh_ng_target_host import CheckLshNgTargetHostCommand
from migrator.core.cli.commands.declaration.check_lsh_ng_tasks import CheckLshNgTasksCommand
from migrator.core.cli.commands.declaration.check_lsh_ng_backup_diskspace import CheckLshNgBackupDiskspaceCommand

from migrator.core.cli.commands.declaration.check_ng_ng_connections import CheckNgNgConnectionsCommand
from migrator.core.cli.commands.declaration.check_ng_ng_disk_space import CheckNgNgDiskSpaceCommand
from migrator.core.cli.commands.declaration.check_ng_ng_host_websites_capacity import CheckNgNgHostWebsitesCapacityCommand
from migrator.core.cli.commands.declaration.check_ng_ng_hosts_availability import CheckNgNgHostsAvailabilityCommand
from migrator.core.cli.commands.declaration.check_ng_ng_ip_pools import CheckNgNgIPPoolsCommand
from migrator.core.cli.commands.declaration.check_ng_ng_php_versions import CheckNgNgPHPVersionsCommand
from migrator.core.cli.commands.declaration.check_ng_ng_ftp_users_uniqueness import CheckNgNgFTPUsersUniquenessCommand

from migrator.core.cli.commands.declaration.check_service_templates import CheckServiceTemplatesCommand
from migrator.core.cli.commands.declaration.check_service_templates_conflicts import CheckServiceTemplatesConflictsCommand
from migrator.core.cli.commands.declaration.check_service_plans import CheckServicePlansCommand
from migrator.core.cli.commands.declaration.check_service_plans_applicability import CheckServicePlansApplicabilityCommand
from migrator.core.cli.commands.declaration.check_hosts_shm import CheckHostsSHMCommand
from migrator.core.cli.commands.declaration.check_hosts_capacity_shm import CheckHostsCapacitySHMCommand
from migrator.core.cli.commands.declaration.check_hosts_oaci import CheckHostsOACICommand
from migrator.core.cli.commands.declaration.check_oa_hosts_oaci import CheckOAHostsOACICommand
from migrator.core.cli.commands.declaration.check_users_shm import CheckUsersSHMCommand
from migrator.core.cli.commands.declaration.copy_content import CopyContentCommand
from migrator.core.cli.commands.declaration.export_data import ExportDataCommand
from migrator.core.cli.commands.declaration.generate_migration_list import GenerateMigrationListCommand
from migrator.core.cli.commands.declaration.get_service_plans import GetServicePlansCommand
from migrator.core.cli.commands.declaration.get_service_nodes import GetServiceNodesCommand
from migrator.core.cli.commands.declaration.get_subscriptions import GetSubscriptionsCommand
from migrator.core.cli.commands.declaration.get_webspaces import GetWebspacesCommand
from migrator.core.cli.commands.declaration.get_source_hosts import GetSourceHostsCommand
from migrator.core.cli.commands.declaration.get_accounts import GetAccountsCommand
from migrator.core.cli.commands.declaration.get_pre_checks import GetPreChecksCommand
from migrator.core.cli.commands.declaration.get_system_info import GetSystemInfoCommand
from migrator.core.cli.commands.declaration.init_db import InitDbCommand
from migrator.core.cli.commands.declaration.install_agent import InstallAgentCommand
from migrator.core.cli.commands.declaration.list_ip_addresses import ListIpAddressesCommand
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.migrate import MigrateCommand
from migrator.core.cli.commands.declaration.refresh_data import RefreshDataCommand
from migrator.core.cli.commands.declaration.revert_subscription import RevertSubscriptionCommand
from migrator.core.cli.commands.declaration.verify import VerifyCommand
from migrator.core.cli.commands.declaration.list_ip_pools import ListIpPoolsCommand

commands = [
    MainCommand,
    AnalyseHostingCommand,
    CheckCommunicationIPCommand,
    CheckIpPoolsCommand,
    CheckOALicenseCommand,
    CheckSourceLicenseCommand,
    CheckSourceDataCommand,
    CheckHostsAvailabilityCommand,
    CheckHostsAuthenticationCommand,
    CheckHostsNetworkModeCommand,

    CheckLshNgSubscriptionsCommand,
    CheckLshNgConnectionsCommand,
    CheckLshNgConfigCommand,
    CheckLshNgSourceHostsCommand,
    CheckLshNgTargetHostCommand,
    CheckLshNgTasksCommand,
    CheckLshNgBackupDiskspaceCommand,

    CheckNgNgConnectionsCommand,
    CheckNgNgDiskSpaceCommand,
    CheckNgNgHostWebsitesCapacityCommand,
    CheckNgNgHostsAvailabilityCommand,
    CheckNgNgIPPoolsCommand,
    CheckNgNgPHPVersionsCommand,
    CheckNgNgFTPUsersUniquenessCommand,

    CheckServiceTemplatesCommand,
    CheckServiceTemplatesConflictsCommand,
    CheckServicePlansCommand,
    CheckServicePlansApplicabilityCommand,
    CheckHostsSHMCommand,
    CheckHostsCapacitySHMCommand,
    CheckHostsOACICommand,
    CheckOAHostsOACICommand,
    CheckUsersSHMCommand,
    CopyContentCommand,
    ExportDataCommand,
    GenerateMigrationListCommand,
    GetServicePlansCommand,
    GetServiceNodesCommand,
    GetSystemInfoCommand,
    GetSubscriptionsCommand,
    GetWebspacesCommand,
    GetSourceHostsCommand,
    GetAccountsCommand,
    GetPreChecksCommand,
    InitDbCommand,
    InstallAgentCommand,
    ListIpAddressesCommand,
    MigrateCommand,
    RefreshDataCommand,
    RevertSubscriptionCommand,
    VerifyCommand,
    ListIpPoolsCommand,
]
