# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import ConfigOption, MigrationProjectApsIdOption
from migrator.core.language import _T
from migrator.odin_automation.platform.checks.checks import Checks


class CheckLshNgTasksCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return Checks.CHECK_LSH_NG_TASKS

    @property
    def help(self):
        return _T("CHECKS_WHETHER_THERE_ARE_INCOMPLETED_TASKS")

    @property
    def params(self):
        return [
            ConfigOption, MigrationProjectApsIdOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'check_lsh_ng_tasks.CheckLshNgTasksImplementation'
