# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import import_options, SkipServiceCheckOption, \
    ConfigOption
from migrator.core.language import _T


class CopyContentCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'copy-content'

    @property
    def help(self):
        return _T("COMMAND_COPY_HOSTING_CONTENT")

    @property
    def params(self):
        return import_options + [
            SkipServiceCheckOption,
            ConfigOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'copy_content.CopyContentImplementation'
