# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import SkipLicenseChecksOption, IgnoreFetchSourceErrorsOption, \
    MigrationListFileOption, ReloadSourceDataOption, SkipServiceCheckOption, OverwriteOption
from migrator.core.language import _T


class GenerateMigrationListCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'generate-migration-list'

    @property
    def help(self):
        return _T("COMMAND_GENERATE_MIGRATION_LIST")

    @property
    def params(self):
        return [
            MigrationListFileOption,
            ReloadSourceDataOption,
            IgnoreFetchSourceErrorsOption,
            SkipServiceCheckOption,
            SkipLicenseChecksOption,
            OverwriteOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'generate_migration_list.GenerateMigrationListImplementation'
