# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration, MigratorOptionDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import ServiceTypeOption, ConfigOption, FilterSettingsFile
from migrator.core.language import _T


class GetSubscriptionsForAccount(MigratorOptionDeclaration):
    @property
    def name(self):
        return '--get-subscriptions-for-accounts'

    @property
    def help(self):
        return _T("GET_SUBSCRIPTIONS_FOR_ACCOUNT_OPTION")

    @property
    def is_flag(self):
        return True

    @property
    def required(self):
        return False


class GetAccountsCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'get-accounts'

    @property
    def help(self):
        return _T("COMMAND_GET_ACCOUNTS")

    @property
    def params(self):
        return [
            ServiceTypeOption,
            FilterSettingsFile,
            GetSubscriptionsForAccount,
            ConfigOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'get_accounts.GetAccountsImplementation'
