# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration, MigratorOptionDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.language import _T


class NodeServiceType(MigratorOptionDeclaration):
    @property
    def name(self):
        return '--node-service-type'


class GetServiceNodesCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'get-service-nodes'

    @property
    def help(self):
        return _T("COMMAND_GET_SERVICE_NODES")

    @property
    def params(self):
        return [
            NodeServiceType
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'get_service_nodes.GetServiceNodesImplementation'
