# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration, MigratorOptionDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import ServiceTypeOption, ConfigOption, PlanIdsOption
from migrator.core.language import _T


class IncludeSubscriptionPeriodsOption(MigratorOptionDeclaration):
    @property
    def name(self):
        return '--subscription-periods'

    @property
    def help(self):
        # TODO
        return _T("INCLUDE_SUBSCRIPTION_PERIODS_OPTION")

    @property
    def is_flag(self):
        return True

    @property
    def default(self):
        return False


class GetServicePlansCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'get-service-plans'

    @property
    def help(self):
        return _T("COMMAND_GET_SERVICE_PLANS")

    @property
    def params(self):
        return [
            ServiceTypeOption,
            ConfigOption,
            IncludeSubscriptionPeriodsOption,
            PlanIdsOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'get_service_plans.GetServicePlansImplementation'
