# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration, MigratorOptionDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import ServiceTypeOption, ConfigOption, FilterSettingsFile
from migrator.core.language import _T


class GetSubscriptionsFromHost(MigratorOptionDeclaration):
    @property
    def name(self):
        return '--get-subscriptions-from-hosts'

    @property
    def help(self):
        return _T("GET_SUBSCRIPTIONS_FROM_HOST_OPTION")

    @property
    def is_flag(self):
        return True

    @property
    def required(self):
        return False


class GetSourceHostsCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'get-source-hosts'

    @property
    def help(self):
        return _T("COMMAND_GET_SOURCE_HOSTS")

    @property
    def params(self):
        return [
            ServiceTypeOption,
            FilterSettingsFile,
            GetSubscriptionsFromHost,
            ConfigOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'get_source_hosts.GetSourceHostsImplementation'
