# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration, MigratorOptionDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import ServiceTypeOption, ConfigOption, SubscriptionIdsOption
from migrator.core.language import _T


class FilterSettingsFile(MigratorOptionDeclaration):
    @property
    def name(self):
        return '--filter-settings-file'


class GetSubscriptionsCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'get-subscriptions'

    @property
    def help(self):
        return _T("COMMAND_GET_SUBSCRIPTIONS")

    @property
    def params(self):
        return [
            ServiceTypeOption,
            SubscriptionIdsOption,
            FilterSettingsFile,
            ConfigOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'get_subscriptions.GetSubscriptionsImplementation'
