# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration, MigratorOptionDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import ConfigOption
from migrator.core.language import _T


class SkipCheckServicesOption(MigratorOptionDeclaration):
    @property
    def name(self):
        return '--skip-check-services'

    @property
    def help(self):
        return _T("SKIP_SERVICES_CHECK_OPTION")

    @property
    def is_flag(self):
        return True

    @property
    def required(self):
        return False


class GetSystemInfoCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'get-system-info'

    @property
    def help(self):
        return _T("COMMAND_GET_SYSTEM_INFO")

    @property
    def params(self):
        return [ConfigOption, SkipCheckServicesOption]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'get_system_info.GetSystemInfoImplementation'
