# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import ServiceTypeOption, ConfigOption, FilterSettingsFile
from migrator.core.language import _T


class GetWebspacesCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'get-webspaces'

    @property
    def help(self):
        return _T("COMMAND_GET_WEBSPACES")

    @property
    def params(self):
        return [
            ServiceTypeOption,
            FilterSettingsFile,
            ConfigOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'get_webspaces.GetWebspacesImplementation'
