# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import \
    import_options, SkipLicenseChecksOption, SkipServiceCheckOption, \
    RunPostMigrationChecks, SkipCapabilityChecksOption, ConfigOption, MigratorOptionDeclaration, \
    MigrationProjectApsIdOption
from migrator.settings import MIGRATION_TYPE, MIGRATION_MODE, MIGRATION_TYPE_FULL, MIGRATION_MODE_TEST


from migrator.core.language import _T


class MigrateCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'migrate'

    @property
    def help(self):
        return _T("COMMAND_MIGRATE")

    @property
    def params(self):
        return import_options + [
            SkipLicenseChecksOption, SkipServiceCheckOption, RunPostMigrationChecks, SkipCapabilityChecksOption,
            ConfigOption, MigrationProjectApsIdOption, MigrationTypeOption, MigrationModeOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'migrate.MigrateImplementation'


class MigrationTypeOption(MigratorOptionDeclaration):
    @property
    def name(self):
        return '--type'

    @property
    def help(self):
        return _T("MIGRATION_TYPE_OPTION")

    @property
    def default(self):
        return MIGRATION_TYPE_FULL

    @property
    def type(self):
        return MIGRATION_TYPE


class MigrationModeOption(MigratorOptionDeclaration):
    @property
    def name(self):
        return '--mode'

    @property
    def help(self):
        return _T("MIGRATION_MODE_OPTION")

    @property
    def default(self):
        return MIGRATION_MODE_TEST

    @property
    def type(self):
        return MIGRATION_MODE
