# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration, MigratorOptionDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import ConfigOption
from migrator.core.language import _T


class SubscriptionIdOption(MigratorOptionDeclaration):
    @property
    def name(self):
        return '--subscription-id'

    @property
    def is_flag(self):
        return False


class RevertSubscriptionCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'revert'

    @property
    def help(self):
        return _T("COMMAND_REVERT")

    @property
    def params(self):
        return [
            SubscriptionIdOption,
            ConfigOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'revert_subscription.RevertSubscriptionImplementation'
