# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.cli.commands.declaration_base import MigratorCommandDeclaration
from migrator.core.cli.commands.declaration.main_command import MainCommand
from migrator.core.cli.commands.declaration.options import import_options, SkipDnsForwardingTestOption, \
    SkipLicenseChecksOption, SkipServiceCheckOption, ConfigOption
from migrator.core.language import _T


class VerifyCommand(MigratorCommandDeclaration):
    @property
    def name(self):
        return 'verify'

    @property
    def help(self):
        return _T("COMMAND_VERIFY")

    @property
    def params(self):
        return import_options + [
            SkipDnsForwardingTestOption,
            SkipServiceCheckOption,
            SkipLicenseChecksOption,
            ConfigOption
        ]

    @property
    def parent_command_class(self):
        return MainCommand

    @property
    def implementation_class_name(self):
        return 'verify.VerifyImplementation'
