# (C)2017 Ingram Micro Inc. all Rights Reserved
import json
import logging

from migrator.core import MigrationError
from migrator.core.cli.commands.implementation.action_runner import MigratorObjectCommandImplementation
from migrator.core.cli.commands.implementation_base import handle_exceptions
from migrator.core.language import _T
from migrator.odin_automation.panel import Panel
from migrator.settings import OA_ADMIN_ID

logger = logging.getLogger(__name__)


class GetServiceNodesImplementation(MigratorObjectCommandImplementation):
    @handle_exceptions
    def run(self, options):
        try:
            panel = Panel()
            service_nodes = panel.get_service_nodes(OA_ADMIN_ID, options.node_service_type)
            result = {
                'exit_code': 0,
                'service_nodes': service_nodes
            }
        except MigrationError as e:
            logger.debug(_T('LOG_EXCEPTION'), exc_info=True)
            result = {
                'exit_code': 1,
                'error_message': unicode(e)
            }
        except Exception as e:
            logger.debug(_T('LOG_EXCEPTION'), exc_info=True)
            raise e

        print json.dumps(result, indent=4)
