# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.cli.commands.implementation.action_runner import MigratorObjectCommandImplementation
from migrator.settings import HOSTING_SERVICE_TYPES, OA_ADMIN_ID
from migrator.odin_automation.panel import Panel

logger = logging.getLogger(__name__)


class GetServicePlansImplementation(MigratorObjectCommandImplementation):
    def main(self, migrator, options):

        source_hosting_type = options.service_type
        target_service = HOSTING_SERVICE_TYPES[source_hosting_type] \
            if source_hosting_type in HOSTING_SERVICE_TYPES else None
        plan_ids = options.plan_ids

        if plan_ids is not None:
            plan_ids = [int(x) for x in plan_ids.split(',')]

        panel = Panel()
        service_plans = panel.get_service_plans(
            OA_ADMIN_ID, target_service, options.subscription_periods, plan_ids, source_hosting_type
        )

        return {
            'exit_code': 0,
            'service_plans': [{z: v for z, v in x.__dict__.iteritems() if v is not None} for x in service_plans]
        }
