# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.cli.commands.implementation.action_runner import MigratorObjectCommandImplementation
from migrator.core.utils.filetypes.json_utils import read_json
from migrator.odin_automation.panel import Panel

logger = logging.getLogger(__name__)


class GetSubscriptionsImplementation(MigratorObjectCommandImplementation):
    def main(self, migrator, options):
        subscription_ids = options.subscription_ids
        if subscription_ids is not None:
            subscription_ids = [int(x) for x in subscription_ids.split(',')]

        decoded_parameters = None
        if options.filter_settings_file is not None:
            decoded_parameters = read_json(options.filter_settings_file)

        panel = Panel()
        subscriptions_list = panel.get_subscriptions(options.service_type, subscription_ids, decoded_parameters)

        return {
            'exit_code': 0,
            'total': subscriptions_list['count'],
            'subscriptions': [
                {z: v for z, v in x.__dict__.iteritems() if v is not None} for x in subscriptions_list['items']
            ]
        }
