# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.cli.commands.implementation.action_runner import MigratorObjectCommandImplementation
from migrator.core.utils.filetypes.json_utils import read_json
from migrator.odin_automation.panel import Panel

logger = logging.getLogger(__name__)


class GetWebspacesImplementation(MigratorObjectCommandImplementation):
    def main(self, migrator, options):
        decoded_parameters = None
        if options.filter_settings_file is not None:
            decoded_parameters = read_json(options.filter_settings_file)

        panel = Panel()
        webspaces_list = panel.get_webspaces(options.service_type, decoded_parameters)

        return {
            'exit_code': 0,
            'total': webspaces_list['count'],
            'webspaces': [
                {z: v for z, v in x.__dict__.iteritems() if v is not None} for x in webspaces_list['items']
            ]
        }
