# (C)2017 Ingram Micro Inc. all Rights Reserved
"""Command line interface for migration between different panel instances"""
import logging

from migrator.core.cli.base import run_migrator
from migrator.core.utils.lang.profiler import get_default_steps_profiler
from migrator.core.utils.lang.profiler import get_default_steps_report

logger = logging.getLogger(__name__)


def run(base_dir, var_dir, execution_path):
    try:
        with get_default_steps_profiler().measure_time('migration', 'Migration'):
            return run_migrator(
                base_dir=base_dir,
                var_dir=var_dir,
                execution_path=execution_path
            )
    finally:
        get_default_steps_report().save_reports()
