# (C)2017 Ingram Micro Inc. all Rights Reserved
from contextlib import contextmanager

from migrator.core.utils import cached
from migrator.core.utils.operating_system import os_info


class UnixServer(object):
    @contextmanager
    def runner(self):
        """Get runner object to execute commands on the source server"""
        raise NotImplementedError()

    @cached
    def os_info(self):
        with self.runner() as runner:
            return os_info.get_os_info(runner)
