# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.utils.lang.entity import Entity


class MailContentModel(Entity):
    data_prefix = 'mail_content_shm'

    def __init__(self, subscriptions=None):
        """

        :type subscriptions: list [SubscriptionModel]
        """
        self.subscriptions = subscriptions or []


class SubscriptionModel(Entity):
    data_prefix = 'subscription'

    def __init__(self, external_id, webspaces=None):
        """

        :type external_id: str
        :type webspaces: list [WebspaceModel]
        """
        self.external_id = external_id
        self.webspaces = webspaces or []


class WebspaceModel(Entity):
    data_prefix = 'webspace'

    def __init__(self, external_id, name, sites=None):
        """

        :type external_id: str
        :type name: str
        :type sites: list [SiteModel]
        """
        self.external_id = external_id
        self.name = name
        self.sites = sites or []


class SiteModel(Entity):
    data_prefix = 'site'

    def __init__(self, external_id, name, mailboxes=None):
        """

        :type external_id: str
        :type name: str
        :type mailboxes: list [MailboxModel]
        """
        self.external_id = external_id
        self.name = name
        self.mailboxes = mailboxes or []


class MailboxModel(Entity):
    data_prefix = 'mailbox'

    def __init__(self, name, source_path=None, target_path=None):
        """

        :type name: str
        :type source_path: str
        :type target_path: str
        """
        self.name = name
        self.source_path = source_path
        self.target_path = target_path
