# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.data.model.account import AccountModel


class ResellerModel(AccountModel):
    yaml_prefix = 'reseller_data'

    def __init__(
        self, external_id, info, staff_members=None, accounts=None, subscriptions=None, service_plans=None
    ):
        """
        :param external_id: str
        :param info: PersonalInfoModel
        :param staff_members: list[StaffMemberModel]
        :param accounts: list[AccountModel]
        :param subscriptions: list[SubscriptionModel]
        :param service_plans: list[ServicePlanModel]
        """
        super(ResellerModel, self).__init__(external_id, info, staff_members, subscriptions)
        self.accounts = accounts or []
        self.service_plans = service_plans or []


class ProviderModel(ResellerModel):
    pass
