# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.utils.lang.entity import Entity


class ServiceModel(Entity):
    data_prefix = 'service'

    def __init__(self, type, source_host_external_id, properties=None):
        """
        :param type: str
        :param source_host_external_id: str
        """
        self.type = type
        self.source_host_external_id = source_host_external_id
        self.properties = properties or []

    def __eq__(self, other):
        """Provide comparision operator for refresh-data command"""
        return self.type == other.type

    def __ne__(self, other):
        """Provide comparision operator for refresh-data command"""
        return not self == other

    def __hash__(self):
        """Provide hash operator for placing into a set in refresh-data command"""
        return self.type.__hash__()

    def get_property(self, key):
        """
        Return the value of the first property with the matching key

        :param key:  str
        :return: str|None
        """
        for property in self.properties:
            if property.key == key:
                return property.value

        return None
