# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.utils.lang.entity import Entity


class WebContentModel(Entity):
    data_prefix = 'web_content_shm'

    def __init__(self, subscriptions=None):
        """

        :type subscriptions: list [SubscriptionModel]
        """
        self.subscriptions = subscriptions or []


class SubscriptionModel(Entity):
    data_prefix = 'subscription'

    def __init__(self, external_id, webspaces=None):
        """

        :type external_id: str
        :type webspaces: list [WebspaceModel]
        """
        self.external_id = external_id
        self.webspaces = webspaces or []


class WebspaceModel(Entity):
    data_prefix = 'webspace'

    def __init__(self, external_id, sites=None, content=None):
        """

        :type external_id: str
        :type sites: list [SiteModel]
        """
        self.external_id = external_id
        self.sites = sites or []
        self.content = content or []


class SiteModel(Entity):
    data_prefix = 'site'

    def __init__(self, external_id, name, source_webroot, content=None):
        """

        :type external_id: str
        :type name: str
        :type source_webroot: str
        :type content: list [ContentItemModel]
        """
        self.external_id = external_id
        self.name = name
        self.source_webroot = source_webroot
        self.content = content or []


class ContentItemModel(Entity):
    data_prefix = 'item'

    def __init__(self, source_path, target_path, is_wwwroot=False, permissions=None, exclude=None, include=None):
        """

        :type source_path: str
        :type target_path: str
        :type is_wwwroot: bool
        :type permissions: PermissionsModel
        :type exclude: list[str]
        :type include: list[str]
        """
        self.source_path = source_path
        self.target_path = target_path
        self.is_wwwroot = is_wwwroot
        self.permissions = permissions
        self.exclude = exclude or []
        self.include = include or []


class PermissionsModel(Entity):
    data_prefix = 'permissions'

    def __init__(self, owners=None, access_rights=None):
        """

        :type owners: OwnersModel
        :type access_rights: str
        """
        self.owners = owners or []
        self.access_rights = access_rights


class OwnerModel(Entity):
    data_prefix = 'owner'

    def __init__(self, user=None, user_id=None, group=None, group_id=None):
        """

        :type user: str
        :type group: str
        """
        self._fill()
