# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.data.format.dns import DnsReader
from migrator.core.data.model.dns import DnsZoneModel, DnsInfoModel, DnsRecordModel, DnsSoaRecordModel
from migrator.core.data.source.xml import CommonReaderXml, CommonStreamWriterXml
from migrator.settings import OA_MIGRATOR_DNS_NAMESPACE, OA_MIGRATOR_DNS_XSD

DATA_TYPE = 'DNS data'


class DnsWriterXml(CommonStreamWriterXml):
    def __init__(self, filename):
        super(DnsWriterXml, self).__init__(filename)

        self._data_type = DATA_TYPE
        self._xml_namespace = OA_MIGRATOR_DNS_NAMESPACE
        self._schema_location = self.SCHEMA_LOCATION_TEMPLATE.format(
            xml_namespace=OA_MIGRATOR_DNS_NAMESPACE, xsd_file=OA_MIGRATOR_DNS_XSD
        )
        self._primitive_array_element_tag = {}


class DnsReaderXml(CommonReaderXml, DnsReader):
    def _init_reader(self):
        self._class_model_list = [
            DnsInfoModel, DnsZoneModel, DnsRecordModel, DnsSoaRecordModel
        ]
        self._array_tags = ['zones', 'records']
        self._primitive_arrays = []
        self._additional_data_prefixes = {}
        self._choice_tags = []
        self._data_type = DATA_TYPE
        self._xml_namespace = OA_MIGRATOR_DNS_NAMESPACE
        self._xsd_path = OA_MIGRATOR_DNS_XSD

    def get_zone(self, subscription_id):
        return self.read_model([(DnsZoneModel, 'external_id', subscription_id)])
