# (C)2017 Ingram Micro Inc. all Rights Reserved
import gettext

from migrator.core.utils import cached
from migrator.settings import OA_MIGRATOR_LOCALE_PATH, DOCUMENTATION_BASE_URL, DEBUG_LOG

gettext_domain = 'oa-migrator'


class _T(unicode):

    @classmethod
    @cached
    def get_translator(cls, gettext_domain, locale_path):
        languages = None
        if not gettext.find(gettext_domain, locale_path):
            # fallback to 'en' locale
            languages = ['en']

        return gettext.translation(gettext_domain, locale_path, languages=languages).ugettext

    def __new__(cls, msg):
        gettext_translation = _T.get_translator(gettext_domain, OA_MIGRATOR_LOCALE_PATH)
        translation = gettext_translation(msg)
        try:
            # To substitute base urls and avoid call of format() without arguments
            translation = translation.format(doc_base_url=DOCUMENTATION_BASE_URL, logfile=DEBUG_LOG)
        except KeyError:
            pass
        return super(_T, cls).__new__(cls, translation)

    def format(self, **kwargs):
        """
        unicode method format was overrode to fill widely used placeholder 'kb_base_url' at the only place

        :param kwargs:
        :return: unicode
        """
        return super(_T, self).format(doc_base_url=DOCUMENTATION_BASE_URL, logfile=DEBUG_LOG, **kwargs)
