# (C)2017 Ingram Micro Inc. all Rights Reserved
import os
import sys

from lib.core import AgentError
from lib.core.config import AgentConfig
from lib.core.agent import get_agent_class

LIBDIR = os.path.realpath(os.path.dirname(__file__))


def main(argv):
    if len(argv) != 1:
        raise AgentError('Invalid number of arguments specified')

    config = AgentConfig(argv[0], os.path.realpath(LIBDIR))
    agent = get_agent_class()(config)

    return agent.run()


if __name__ == '__main__':
    try:
        sys.exit(main(sys.argv[1:]))
    except Exception as e:
        sys.stderr.write('ERROR: {0}'.format(str(e)))
        sys.stderr.flush()
        sys.exit(1)
