# (C)2017 Ingram Micro Inc. all Rights Reserved
from lockfile.pidlockfile import PIDLockFile

DEFAULT_PIDFILE_TIMEOUT = 10


class TimeoutPIDLockFile(PIDLockFile):
    def __init__(self, path, timeout=None, *args, **kwargs):
        self._timeout = timeout
        super(TimeoutPIDLockFile, self).__init__(path, *args, **kwargs)

    def acquire(self, timeout=None):
        timeout = timeout or self._timeout
        super(TimeoutPIDLockFile, self).acquire(timeout)
