# (C)2017 Ingram Micro Inc. all Rights Reserved


def get_product_exporter(service, exporters_map):
    """
    :param str service: Example: 'billing'
    :param dict exporters_map:
    :return:
    """
    return _get_product_exporter(service, 'settings', exporters_map)


def get_product_content_exporter(service, exporters_map):
    return _get_product_exporter(service, 'content', exporters_map)


def _get_product_exporter(service, data_type, exporters_map):
    """
    :param str service: Examples: 'billing', 'shm'
    :param str data_type: Example: 'settings'
    :param dict exporters_map:
    :return:
    """
    if service not in exporters_map:
        raise NotImplementedError('Data export is not supported for service: {0}'.format(service))

    exporter_class = exporters_map[service].get(data_type)
    if exporter_class is None:
        raise NotImplementedError('Export of {0} service {1} is not supported'.format(service, data_type))

    return exporter_class
