# (C)2017 Ingram Micro Inc. all Rights Reserved


class CommonSessionFiles(object):
    """Common paths to files in migration session directory."""
    def __init__(self, conn, migrator_server):
        """
        Arguments:
        - conn - instance of common.connections.connections.Connections
        """
        self._conn = conn
        self._migrator_server = migrator_server

    def get_path_to_last_hosting_analysis_time(self):
        return self._migrator_server.get_session_file_path(
            u"last.hosting.analysis.time"
        )

    def get_path_to_ssh_keys_pool(self):
        return self._migrator_server.get_session_file_path(
            "ssh_key_pool.yaml"
        )

    def get_path_to_info_log(self):
        return self._migrator_server.get_session_file_path("info.log")

    def get_path_to_debug_log(self):
        return self._migrator_server.get_session_file_path("debug.log")

    def get_path_to_migrate_lock(self):
        return self._migrator_server.get_session_file_path('migrate.lock')

    def get_path_to_export_data_lock(self):
        return self._migrator_server.get_session_file_path('export_data.lock')

    def get_path_to_target_model(self):
        return self._migrator_server.get_session_file_path('target.yaml')

    def get_path_to_existing_objects_model(self):
        return self._migrator_server.get_session_file_path('existing-objects.yaml')

    def get_path_to_default_migration_list_file(self):
        return self._migrator_server.get_session_file_path('migration-list')

    def get_path_to_billing_xml_file(self):
        return self._migrator_server.get_session_file_path('billing.xml')

    def get_path_to_shm_web_hosting_xml_file(self):
        return self._migrator_server.get_session_file_path('shm_web_hosting.xml')

    def get_path_to_aps_backup_tool(self):
        return self._migrator_server.get_session_file_path('aps_backup.php')

    def get_path_to_shm_web_content_xml_file(self):
        return self._migrator_server.get_session_file_path('shm_web_content.xml')

    def get_path_to_shm_mail_hosting_xml_file(self):
        return self._migrator_server.get_session_file_path('shm_mail_hosting.xml')

    def get_path_to_shm_mail_content_xml_file(self):
        return self._migrator_server.get_session_file_path('shm_mail_content.xml')

    def get_path_to_dns_xml_file(self):
        return self._migrator_server.get_session_file_path('dns_hosting.xml')

    def get_path_to_oaci_vps_settings_xml_file(self):
        return self._migrator_server.get_session_file_path('oaci_vps_parameters.xml')

    def get_path_to_rsync(self):
        return self._migrator_server.get_session_file_path('rsync_path_')

    def get_path_to_ips_list(self):
        return self._migrator_server.get_session_file_path('ips-list.json')


