# (C)2017 Ingram Micro Inc. all Rights Reserved
class SubscriptionInfo(object):
    def __init__(self, id, name, account_id, service_plan_id):
        self.id = id
        self.name = name
        self.account_id = account_id
        self.service_plan_id = service_plan_id


class ServicePlanInfo(object):
    def __init__(self, id, st_id, name):
        self.id = id
        self.st_id = st_id
        self.name = name


class ImportApiBase(object):
    def get_service_plan(self, service_plan_id):
        """

        :type service_plan_id: int
        :rtype: ServicePlanInfo
        """
        raise NotImplementedError()

    def get_subscription(self, subscription_id=None, account_id=None, plan_id=None):
        """

        :type subscription_id: int
        :type account_id: int
        :type name: str
        :type plan_id: int
        :rtype: SubscriptionInfo
        """
        raise NotImplementedError()

    def import_account(self, account, reseller_id):
        """

        :type account: migrator.core.data.model.account.AccountModel
        :type reseller_id: int
        :rtype: int
        """
        raise NotImplementedError()

    def import_subscription(self, subscription, account_id, plan_id):
        """

        :type subscription: migrator.core.data.model.subscription.SubscriptionModel
        :type account_id: int
        :type plan_id: int
        :rtype: int
        """
        raise NotImplementedError()

    def update_subscription_migration_status(self, subscription, subscription_status):
        """

        :type subscription: migrator.core.data.model.subscription.SubscriptionModel
        :type subscription_status: int
        """
        raise NotImplementedError()

    def switch_subscription_to_production(self, subscription):
        """

        :type subscription: migrator.core.data.model.subscription.SubscriptionModel
        """
        raise NotImplementedError()

    def check_target_subscription_status(self, subscription_id):
        """

        :type subscription_id: int
        """
        raise NotImplementedError()

    def pre_migration_subscription_check(self, subscription):
        """

        :type subscription: migrator.core.data.model.subscription.SubscriptionModel
        """
        raise NotImplementedError()
