# (C)2017 Ingram Micro Inc. all Rights Reserved


class TargetPanelBase(object):
    @property
    def name(self):
        raise NotImplementedError()

    def is_encrypted_passwords_supported(self):
        """Whether encrypted passwords (hashes) are supported when creating resellers and clients

        :rtype: bool
        """
        return False

    def get_service_nodes(self, conn):
        """Return all service nodes of the panel

        Return list of service nodes to check services during service checks
        List consists of migrator.core.hosting.entity_source.service.TargetServiceInfo
        """
        raise NotImplementedError()

    def get_connections(self, global_context):
        """Get target panel connections"""
        raise NotImplementedError()

    def get_import_api(self, global_context):
        """

        :rtype: migrator.core.transfer.import_api_base.ImportApiBase
        """
        raise NotImplementedError()

    def get_service_import_api(self, global_context):
        """

        :rtype: migrator.core.transfer.service_import_api.ServiceImportApiBase
        """
        raise NotImplementedError()

    def check_version(self, global_context):
        """Check that target panel version is ok for migration purposes. Raise MigrationError othewise.

        Raised exception should contain information about supported versions for migration.
        By default, does nothing, override when adding new panel.

        :type global_context: parallels.core.global_context.GlobalMigrationContext
        :rtype: None
        """
        pass

