# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging
import os

from migrator.core.language import _T

logger = logging.getLogger(__name__)


def load_class(module_name, class_name, optional=False):
    logger.debug(_T("LOADING_CLASS").format(class_name=class_name, file=module_name))
    if optional:
        # if module is optional and it does not exist - return None instead of raising import exception
        module_path = os.path.join(get_root_module_dir(), '..', '%s.py' % module_name.replace('.', '/'))
        if not os.path.exists(module_path):
            return None

    module = __import__(module_name, globals(), fromlist=[class_name])
    if optional and not hasattr(module, class_name):
        return None

    return getattr(module, class_name)


def get_root_module_dir():
    """Return absolute path to the root directory of migrator Python packages."""
    redundant_path = os.path.join(os.path.dirname(__file__), '../../../../migrator')
    return os.path.normpath(redundant_path)