from migrator.core.utils import cached

class Domain(object):
    def __init__(self, api):
        self.api = api

    def update_name_servers(
            self, domain_name, primary_name_server, secondary_name_server, third_name_server='', fourth_name_server=''
    ):
        self.api.DOMAINGATE.UpdateNameServers_API(
            domain_name, primary_name_server, secondary_name_server, third_name_server, fourth_name_server
        )

    @cached
    def get_full_domain_zone_list(self, account_id):
        return self.api.DOMAINGATE.GetFullDomainZoneList_API(account_id, 0)

    def get_domain_info(self, domain_name):
        return self.api.DOMAINGATE.DomainInfoGet_API(domain_name)
