# (C)2017 Ingram Micro Inc. all Rights Reserved
class Checks(object):
    CHECK_OA_LICENSE = 'check-oa-license'
    CHECK_COMMUNICATION_IP = 'check-communication-ip'
    CHECK_HOSTS_AVAILABILITY = 'check-hosts-availability'
    CHECK_HOSTS_AUTHENTICATION = 'check-hosts-authentication'
    CHECK_HOSTS_NETWORK_MODE = 'check-hosts-network-mode'
    CHECK_IP_POOLS = 'check-ip-pools'
    CHECK_SOURCE_LICENSE = 'check-source-license'
    CHECK_SOURCE_DATA = 'check-source-data'
    CHECK_SERVICE_TEMPLATES = 'check-service-templates'
    CHECK_SERVICE_TEMPLATES_CONFLICTS = 'check-service-templates-conflicts'
    CHECK_SERVICE_PLANS = 'check-service-plans'
    CHECK_SERVICE_PLANS_APPLICABILITY = 'check-service-plans-applicability'

    CHECK_HOSTS_SHM = 'check-hosts-shm'
    CHECK_USERS_SHM = 'check-users-shm'
    CHECK_HOSTS_CAPACITY_SHM = 'check-hosts-capacity-shm'

    CHECK_LSH_NG_SUBSCRIPTIONS = 'check-lsh-ng-subscriptions'
    CHECK_LSH_NG_TASKS = 'check-lsh-ng-tasks'
    CHECK_LSH_NG_SOURCE_HOSTS = 'check-lsh-ng-source-hosts'
    CHECK_LSH_NG_CONNECTIONS = 'check-lsh-ng-connections'
    CHECK_LSH_NG_CONFIG = 'check-lsh-ng-config'
    CHECK_LSH_NG_TARGET_HOST = 'check-lsh-ng-target-host'
    CHECK_LSH_NG_BACKUP_DISKSPACE = 'check-lsh-ng-backup-diskspace'

    CHECK_NG_NG_CONNECTIONS = 'check-ng-ng-connections'
    CHECK_NG_NG_DISK_SPACE = 'check-ng-ng-disk-space'
    CHECK_NG_NG_IP_POOLS = 'check-ng-ng-ip-pools'
    CHECK_NG_NG_HOSTS_AVAILABILITY = 'check-ng-ng-hosts-availability'
    CHECK_NG_NG_HOST_WEBSITES_CAPACITY = 'check-ng-ng-capacity'
    CHECK_NG_NG_PHP_VERSIONS = 'check-ng-ng-php-versions'
    CHECK_NG_NG_FTP_USERS_UNIQUENESS = 'check-ng-ng-php-users-uniqueness'

    CHECK_HOSTS_OACI = 'check-hosts-oaci'
    CHECK_OA_HOSTS_OACI = 'check-oa-hosts-oaci'

    @staticmethod
    def check_names_to_main_classes_map():
        return {
            Checks.CHECK_OA_LICENSE: 'migrator.odin_automation.platform.checks.lib.oa_license.CheckOALicense',
            Checks.CHECK_COMMUNICATION_IP: 'migrator.odin_automation.platform.checks.lib.communication_ip.CheckCommunicationIP',
            Checks.CHECK_HOSTS_AVAILABILITY: 'migrator.odin_automation.platform.checks.lib.hosts_availability.CheckHostsAvailability',
            Checks.CHECK_HOSTS_AUTHENTICATION: 'migrator.odin_automation.platform.checks.lib.hosts_authentication.CheckHostsAuthentication',
            Checks.CHECK_HOSTS_NETWORK_MODE: 'migrator.odin_automation.platform.checks.lib.hosts_network_mode.CheckHostsNetworkMode',
            Checks.CHECK_IP_POOLS: 'migrator.odin_automation.platform.checks.lib.ip_pools.CheckIpPools',
            Checks.CHECK_SOURCE_LICENSE: 'migrator.odin_automation.platform.checks.lib.source_license.CheckSourceLicense',
            Checks.CHECK_SOURCE_DATA: 'migrator.odin_automation.platform.checks.lib.source_data.CheckSourceData',
            Checks.CHECK_SERVICE_TEMPLATES: 'migrator.odin_automation.platform.checks.lib.service_templates_general.CheckServiceTemplates',
            Checks.CHECK_SERVICE_TEMPLATES_CONFLICTS: 'migrator.odin_automation.platform.checks.lib.service_templates_conflicts.CheckServiceTemplatesConflicts',
            Checks.CHECK_SERVICE_PLANS: 'migrator.odin_automation.platform.checks.lib.service_plans_general.CheckServicePlans',
            Checks.CHECK_SERVICE_PLANS_APPLICABILITY: 'migrator.odin_automation.platform.checks.lib.service_plans_applicability.CheckServicePlansApplicability',

            Checks.CHECK_HOSTS_SHM: 'migrator.odin_automation.services.shm.checks.hosts_readiness.CheckHostsSHM',
            Checks.CHECK_USERS_SHM: 'migrator.odin_automation.services.shm.checks.users.CheckUsersSHM',
            Checks.CHECK_HOSTS_CAPACITY_SHM: 'migrator.odin_automation.services.shm.checks.hosts_capacity.CheckHostsCapacitySHM',

            Checks.CHECK_LSH_NG_SUBSCRIPTIONS: 'migrator.odin_automation.services.ng.checks.lsh_ng_subscriptions.CheckLshNgSubscriptions',
            Checks.CHECK_LSH_NG_TASKS: 'migrator.odin_automation.services.ng.checks.lsh_ng_tasks.CheckLshNgTasks',
            Checks.CHECK_LSH_NG_SOURCE_HOSTS: 'migrator.odin_automation.services.ng.checks.lsh_ng_source_hosts.CheckLshNgSourceHosts',
            Checks.CHECK_LSH_NG_CONNECTIONS: 'migrator.odin_automation.services.ng.checks.lsh_ng_connections.CheckLshNgConnections',
            Checks.CHECK_LSH_NG_CONFIG: 'migrator.odin_automation.services.ng.checks.lsh_ng_config.CheckLshNgConfig',
            Checks.CHECK_LSH_NG_TARGET_HOST: 'migrator.odin_automation.services.ng.checks.lsh_ng_target_host.CheckLshNgTargetHost',
            Checks.CHECK_LSH_NG_BACKUP_DISKSPACE: 'migrator.odin_automation.services.ng.checks.lsh_ng_backup_diskspace.CheckLshNgBackupDiskspace',

            Checks.CHECK_NG_NG_CONNECTIONS: 'migrator.odin_automation.services.ng.checks.ng_ng_connections.CheckNgNgConnections',
            Checks.CHECK_NG_NG_DISK_SPACE: 'migrator.odin_automation.services.ng.checks.ng_ng_disk_space.CheckNgNgDiskSpace',
            Checks.CHECK_NG_NG_IP_POOLS: 'migrator.odin_automation.services.ng.checks.ng_ng_ip_pools.CheckNgNgIPPools',
            Checks.CHECK_NG_NG_HOSTS_AVAILABILITY: 'migrator.odin_automation.services.ng.checks.ng_ng_hosts_availability.CheckNgNgHostsAvailability',
            Checks.CHECK_NG_NG_HOST_WEBSITES_CAPACITY: 'migrator.odin_automation.services.ng.checks.ng_ng_host_websites_capacity.CheckNgNgHostWebsitesCapacity',
            Checks.CHECK_NG_NG_PHP_VERSIONS: 'migrator.odin_automation.services.ng.checks.ng_ng_php_versions.CheckNgNgPHPVersions',
            Checks.CHECK_NG_NG_FTP_USERS_UNIQUENESS: 'migrator.odin_automation.services.ng.checks.ng_ng_ftp_users_uniqueness.CheckNgNgFTPUsersUniqueness',

            Checks.CHECK_HOSTS_OACI: 'migrator.odin_automation.services.oaci.checks.hosts_oaci.CheckHostsOACI',
            Checks.CHECK_OA_HOSTS_OACI: 'migrator.odin_automation.services.oaci.checks.oa_hosts_oaci.CheckOAHostsOACI',
        }
