# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.checks.base import CheckSourceAbstract, CheckAbstract
from migrator.core.language import _T
from migrator.core.utils.registry import Registry
from migrator.odin_automation.platform.checks.checks import Checks
from migrator.settings import MIGRATION_TYPE_FULL, TargetServiceType, SOURCE_PRODUCT_PLESK, SOURCE_PRODUCT_OBAS, \
    IP_MIGRATION_MODE_SAME_IP_ADDRESS


class CheckCommunicationIP(CheckSourceAbstract):
    SUPPORTED_TARGET_SERVICE_CLASSES = [TargetServiceType.SHM]
    SUPPORTED_SOURCE_PRODUCTS = [SOURCE_PRODUCT_PLESK, SOURCE_PRODUCT_OBAS]
    SUPPORTED_MIGRATION_TYPES = [MIGRATION_TYPE_FULL]

    def __init__(self):
        super(CheckCommunicationIP, self).__init__(Checks.CHECK_COMMUNICATION_IP, CheckAbstract.PHASE_NO_PHASE)

    def is_check_supported(self):
        return super(CheckCommunicationIP, self).is_check_supported() and \
            Registry.get_instance().get_context().migration_project.ipMappingType == IP_MIGRATION_MODE_SAME_IP_ADDRESS

    def get_full_description(self):
        return _T('CHECK_FULL_DESCRIPTION_COMMUNICATION_IP')

    def get_source_check_class(self):
        return 'communication_ip.Check'
