# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.checks.base import CheckSourceAbstract, CheckAbstract
from migrator.core.language import _T
from migrator.odin_automation.platform.checks.checks import Checks
from migrator.settings import \
    TargetServiceType, SOURCE_PRODUCT_PLESK, SOURCE_PRODUCT_OBAS, SOURCE_PRODUCT_OA_WSH, SOURCE_PRODUCT_OA_WHL, SOURCE_PRODUCT_OA_LSH


class CheckHostsAvailability(CheckSourceAbstract):
    SUPPORTED_TARGET_SERVICE_CLASSES = [TargetServiceType.SHM, TargetServiceType.OACI]
    SUPPORTED_SOURCE_PRODUCTS = [
        SOURCE_PRODUCT_PLESK, SOURCE_PRODUCT_OBAS, SOURCE_PRODUCT_OA_WSH, SOURCE_PRODUCT_OA_WHL, SOURCE_PRODUCT_OA_LSH
    ]

    def __init__(self):
        super(CheckHostsAvailability, self).__init__(Checks.CHECK_HOSTS_AVAILABILITY, CheckAbstract.PHASE_NO_PHASE)

    def get_full_description(self):
        return _T('CHECK_FULL_DESCRIPTION_HOSTS_AVAILABILITY')

    def get_source_check_class(self):
        return 'hosts_availability.Check'
