# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.checks.base import CheckSourceAbstract, CheckAbstract
from migrator.core.language import _T
from migrator.odin_automation.platform.checks.checks import Checks
from migrator.settings import MIGRATION_TYPE_TAKEOVER, TargetServiceType, SOURCE_PRODUCT_PLESK, SOURCE_PRODUCT_OBAS


class CheckHostsNetworkMode(CheckSourceAbstract):
    SUPPORTED_TARGET_SERVICE_CLASSES = [TargetServiceType.SHM]
    SUPPORTED_MIGRATION_TYPES = [MIGRATION_TYPE_TAKEOVER]
    SUPPORTED_SOURCE_PRODUCTS = [SOURCE_PRODUCT_PLESK, SOURCE_PRODUCT_OBAS]

    def __init__(self):
        super(CheckHostsNetworkMode, self).__init__(Checks.CHECK_HOSTS_NETWORK_MODE, CheckAbstract.PHASE_NO_PHASE)

    def get_full_description(self):
        return _T('CHECK_FULL_DESCRIPTION_HOSTS_NETWORK_MODE')

    def get_source_check_class(self):
        return 'hosts_network_mode.Check'
