# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.checks.base import CheckSourceAbstract, CheckAbstract
from migrator.core.language import _T
from migrator.odin_automation.platform.checks.checks import Checks
from migrator.settings import TargetServiceType, SOURCE_PRODUCT_OA_WSH, SOURCE_PRODUCT_OA_WHL, SOURCE_PRODUCT_OA_LSH

logger = logging.getLogger(__name__)


class CheckServiceTemplatesConflicts(CheckSourceAbstract):
    SUPPORTED_TARGET_SERVICE_CLASSES = [TargetServiceType.SHM]
    SUPPORTED_SOURCE_PRODUCTS = [SOURCE_PRODUCT_OA_WSH, SOURCE_PRODUCT_OA_WHL, SOURCE_PRODUCT_OA_LSH]

    def __init__(self):
        super(CheckServiceTemplatesConflicts, self).__init__(
            Checks.CHECK_SERVICE_TEMPLATES_CONFLICTS, CheckAbstract.PHASE_NO_PHASE
        )

    def get_full_description(self):
        return _T('CHECK_FULL_DESCRIPTION_SERVICE_TEMPLATES_CONFLICTS')

    def get_source_check_class(self):
        return 'service_templates_conflicts.Check'
