# (C)2017 Ingram Micro Inc. all Rights Reserved
from collections import namedtuple

from migrator.core.utils.loggers.log import trace
from migrator.odin_automation.platform.lib.api.aps_runtime.aps2 import get_aps_connector_with_admin_token

t_aps = namedtuple('aps', ['id', 'type', 'status'])
MigrationProject = namedtuple(
    'MigrationProject', ['aps', 'ipMappingType', 'ipMigrationStrategy', 'migrationType', 'settings', 'hostingClass']
)

@trace
def get_migration_project(project_aps_id):
    aps = get_aps_connector_with_admin_token()
    project = aps.get_resource(project_aps_id)

    aps = t_aps(id=project['aps']['id'], type=project['aps']['type'], status=project['aps']['status'])
    settings = {}
    if 'settings' in project:
        for item in project['settings']:
            settings[item['name']] = item['value']

    return MigrationProject(
        aps=aps,
        settings=settings,
        ipMappingType=project.get('ipMappingType'),
        ipMigrationStrategy=project.get('ipMigrationStrategy'),
        migrationType=project.get('migrationType'),
        hostingClass=project.get('hostingClass'),
    )
