# (C)2017 Ingram Micro Inc. all Rights Reserved
import types

from migrator.odin_automation.platform.lib.api.aps_runtime.aps2 import get_aps_connector_with_admin_token
from migrator.core.utils import cached


@cached
def get_periodic_tm():
    aps = get_aps_connector_with_admin_token()
    return aps.get_first_resource(filter_str='implementing(%s)' % types.PeriodicTaskManager)


def get_application_periodic_task(app_instance_uid):
    tm = get_periodic_tm()
    aps = get_aps_connector_with_admin_token()
    # Right now platform supports only one task type: resourceUsage
    return aps.get_resource('%s/tasks?taskType=resourceUsage&appInstanceId=%s' % (tm['aps']['id'], app_instance_uid))


def run_application_periodic_task(app_instance_uid):
    tm = get_periodic_tm()
    aps = get_aps_connector_with_admin_token()
    # Right now platform supports only one task type: resourceUsage
    aps.put_resource(tm['aps']['id'], '/tasks?taskType=resourceUsage&appInstanceId=%s' % app_instance_uid)
