# (C)2017 Ingram Micro Inc. all Rights Reserved
import types

from migrator.odin_automation.platform.lib.api.aps_runtime.aps2 import get_aps_connector_with_admin_token


def get_user(user_id):
    aps = get_aps_connector_with_admin_token()
    return aps.get_first_resource(filter_str='implementing(%s),eq(memberId,%s)' % (types.PAUser, user_id))


def get_service_user(user_id):
    aps = get_aps_connector_with_admin_token()
    return aps.get_first_resource(filter_str='implementing(%s),eq(userId,%s)' % (types.PAServiceUser, user_id))


def get_user_by_login(login):
    aps = get_aps_connector_with_admin_token()
    return aps.get_first_resource(filter_str='implementing(%s),eq(login,%s)' % (types.PAUser, login))


def get_user_account(user_id):
    aps = get_aps_connector_with_admin_token()
    return aps.get_first_resource(filter_str='linkedWith(%s),implementing(%s)' % (user_id, types.OAAccount))


def set_user_locale(user_uid, locale):
    resource = {
        'aps': {'id': user_uid},
        'locale': locale,
    }
    aps = get_aps_connector_with_admin_token()
    aps.put_resource(user_uid, '', resource)
