# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.platform.lib.api.aps_runtime.utils import AttrDict


class PackageMeta(AttrDict):
    """
    APS 'package' structure of a Resource
    """

    def __init__(self):
        super(PackageMeta, self).__init__()
        self.id = None
        self.href = None


class ResourceMeta(AttrDict):
    """
    APS structure of a Resource
    """

    def __init__(self, type, id=None):
        """
        :type type: basestring
        :type id: basestring | None
        """
        super(ResourceMeta, self).__init__()

        self.links = None
        self.changed = None
        self.status = None
        self.subscription = None

        self.type = type
        self.id = id
        self.package = PackageMeta()

    def log(self, severity, message, parameters=None, time=None):
        # FIXME: return \APS\Request::getController()->logById($this->id, $severity, $message, $parameters, $time);
        # return
        pass

    def getLog(self):
        # FIXME: return \APS\Request::getController()->getLogById($this->id);
        pass

    def deleteLog(self):
        # FIXME: return \APS\Request::getController()->deleteLogById($this->id);
        pass


class ResourceBase(AttrDict):
    def __init__(self, type):
        """
        :type type: basestring
        """
        super(ResourceBase, self).__init__()
        self.aps = ResourceMeta(type)
