# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.platform.lib.api.aps_runtime.utils import APSException, json_encode, json_decode


class RestException(APSException):
    def __init__(self, http_status_code, message=None, details=None, error=None, additional_info=None):
        """
        :type http_status_code: int
        :type message: basestring | None
        :type details: object | None
        :type error: basestring | None
        :type additional_info: dict | None
        """
        super(RestException, self).__init__(message, http_status_code)

        self.details = details
        self.error = error
        self.additional_info = additional_info or dict()

    def __str__(self):
        return self.message


save_json_encode = json_encode


def save_json_decode(data):
    """
    :type data: basestring
    :rtype: migrator.odin_automation.platform.lib.api.aps_runtime.utils.AttrDict | list
    :raises RestException: if there are errors during json decode
    """
    try:
        result = json_decode(data)
    except ValueError as e:
        # FIXME: \APS\LoggerRegistry::get()->error("Error parsing JSON, $message. Was trying to parse: $data");
        raise RestException(400, 'Error parsing JSON, %s' % str(e))

    return result
