# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.platform.lib.db import execute_sql_and_get_formatted_result


class IPType(object):
    IPT_EXCLUSIVE_USED = 0
    IPT_SHARED = 1


def get_ip_address_id(ip):
    ip_formatted_for_query = '.'.join(['%03d' % int(x) for x in ip.split('.')])

    return execute_sql_and_get_formatted_result(
        'SELECT ip_id FROM configured_ips WHERE configured_ips.ip_address=%s',
        ('ip_id',),
        [ip_formatted_for_query]
    )[0]['ip_id']


def get_ip_address(ip_id):
    return execute_sql_and_get_formatted_result(
        'SELECT ip_address FROM configured_ips WHERE configured_ips.ip_id=%s',
        ('ip_address',),
        [ip_id]
    )[0]['ip_address']


def get_backnet_ip_address(host_id):
    return execute_sql_and_get_formatted_result(
        '''
        SELECT vp.value
        FROM components c
        JOIN packages p ON c.pkg_id = p.pkg_id
        JOIN v_props vp ON c.component_id = vp.component_id
        WHERE vp.name = 'communication.ip'
        AND p.name = 'pleskd'
        AND c.host_id = %s
        ''',
        ('ip_address',),
        [host_id]
    )[0]['ip_address']
