from migrator.odin_automation.platform.lib.db import OaServiceName, execute_sql_and_get_formatted_result, transform_list_to_in_construction


def get_ng_service_templates(account_id=None):
    sql = 'SELECT' \
          ' DISTINCT service_templates.st_id AS st_id,' \
          ' service_templates.name AS name,' \
          ' service_templates.description AS description,' \
          " (CASE WHEN service_templates.for_sale = 'y' THEN TRUE ELSE FALSE END) AS active" \
          ' FROM services' \
          ' JOIN host_attributes ON host_attributes.host_id = services.host_id' \
          ' JOIN rt_attributes ON rt_attributes.attribute = host_attributes.host_attribute' \
          ' JOIN st_resources ON st_resources.rt_id = rt_attributes.rt_id' \
          ' JOIN service_templates ON service_templates.st_id = st_resources.st_id' \
          " WHERE services.name IN %s AND service_templates.st_id IS NOT NULL" % transform_list_to_in_construction(OaServiceName.APACHE_NG) + \
          '%s' % (' AND service_templates.owner_id = %s' if account_id is not None else '')

    columns = ('st_id', 'name', 'description', 'active')

    return execute_sql_and_get_formatted_result(sql, columns, [account_id])
