from migrator.odin_automation.platform.lib.db import execute_sql_and_get_formatted_result

TASK_STATUS_CANCELLED = 'c'


def get_scheduled_tasks_for_resource(aps_id):
    sql = "SELECT" \
          " tm_tasks.task_id, tm_tasks.name, tm_tasks.status" \
          " FROM tm_tasks" \
          " JOIN tm_usual ON tm_tasks.task_id = tm_usual.task_id" \
          " WHERE" \
          " (tm_tasks.name LIKE '%{0}%'".format(aps_id) + \
          " OR tm_usual.mutex LIKE '%{0}%')".format(aps_id) + \
          " AND tm_tasks.status != '%s'" % TASK_STATUS_CANCELLED

    columns = ('task_id', 'name', 'status')

    return execute_sql_and_get_formatted_result(sql, columns)


def get_event_notifications(src_resource_uid, event_type):
    sql = 'SELECT' \
          ' aps_event_notification.serial_num,' \
          ' aps_event_notification.handler_name,' \
          ' aps_event_notification.src_resource_uid' \
          ' FROM aps_event_notification' \
          ' JOIN aps_event_info ON aps_event_info.uid = aps_event_notification.src_event_uid' \
          " WHERE aps_event_info.event_type=%s" \
          " AND aps_event_notification.src_resource_uid=%s"

    columns = ('serial_num', 'handler_name', 'src_resource_uid')

    return execute_sql_and_get_formatted_result(sql, columns, [event_type, src_resource_uid])
