# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.actions.dns_forwarding.restart_source_nameservers import RestartSourceNameservers
from migrator.core.workflow.extension import WorkflowExtensionBase
from migrator.odin_automation.platform.actions.create_platform_subscription_list import CreatePlatformSubscriptionList
from migrator.odin_automation.platform.actions.export_billing_data import ExportBillingData
from migrator.odin_automation.platform.actions.export_dns_data import ExportDnsData


class WorkflowExtension(WorkflowExtensionBase):
    def extend_workflow(self, workflow):
        """Extend shared hosting workflow with oa-specific actions

        :type workflow: parallels.core.workflow.base_workflow.BaseWorkflow
        :rtype None
        """

        workflow.get_path('migrate').insert_action(
            'export-billing-data', ExportBillingData(), after='reset-migration-progress'
        )
        workflow.get_path('migrate').insert_action(
            'export-dns-data', ExportDnsData(), after='export-billing-data'
        )
        workflow.get_path('migrate').insert_action(
            'create-platform-subscription-list', CreatePlatformSubscriptionList(), after='export-dns-data'
        )
        workflow.get_shared_action('setup-dns-forwarding').insert_action(
            'restart-source-nameservers', RestartSourceNameservers()
        )
