# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.actions.base.common_action import CommonAction
from migrator.core.language import _T

logger = logging.getLogger(__name__)
LOGPARSER = '/usr/local/pem/bin/logparser.sh'


class RefreshWebalizerConfig(CommonAction):
    def get_description(self):
        return _T('REFRESH_WEBALIZER_CONFIG')

    def get_failure_message(self, global_context):
        return _T('REFRESH_WEBALIZER_CONFIG_FAILED')

    def run(self, global_context):
        target_host_id = global_context.migration_project.settings['oaHost']['id']
        oa_connections = global_context.target_panel_obj.get_connections(global_context)
        with oa_connections.unix_node_runner(int(target_host_id)) as runner:
            runner.sh(LOGPARSER)
