from migrator.core.utils.loggers.log import trace
from migrator.odin_automation.platform.lib.connections.target_server import AutomationServer
from migrator.odin_automation.platform.lib.db import get_platform_db_connection


class AutomationServerNg(AutomationServer):
    def __init__(self, conn, id, ip=None):
        self.cluster_id, self._director_host_id = self._ids(id)
        super(AutomationServerNg, self).__init__(conn, id=self._director_host_id, ip=None)

    @trace
    def _ids(self, id):
        con = get_platform_db_connection()
        cur = con.cursor()
        cur.execute(
            "SELECT cluster_id, director_host_id FROM apache_h2e_clusters WHERE cluster_id = %s or director_host_id = %s",
            [id, id])
        row = cur.fetchone()
        return (row[0], row[1]) if row else (None, None)
