# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.panel import Panel as PanelOA
from migrator.odin_automation.services.ng.import_api import ImportApiNgPlatform, ImportApiNgBilling
from migrator.odin_automation.services.ng.service_import_api import ServiceImportApiLshNg, ServiceImportApiNgNg
from migrator.settings import SourceHostingClass


class Panel(PanelOA):
    def get_service_import_api(self, global_context):
        source_service = global_context.migration_project.hostingClass
        if source_service == SourceHostingClass.LSH:
            return ServiceImportApiLshNg()
        elif source_service == SourceHostingClass.NG:
            return ServiceImportApiNgNg()
        else:
            return None

    def get_import_api(self, global_context):
        if self.is_billing_module_installed():
            return ImportApiNgBilling(global_context, self)
        else:
            return ImportApiNgPlatform(global_context, self)
