# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.settings import SourceHostingClass
from migrator.core.utils.registry import Registry
from migrator.core.workflow.extension import WorkflowExtensionBase
from migrator.odin_automation.platform.workflow import WorkflowExtension as TargetAutomationWorkflowExtension
from migrator.odin_automation.services.ng.actions.refresh_webalizer_config import RefreshWebalizerConfig


class WorkflowExtension(WorkflowExtensionBase):
    def extend_workflow(self, workflow):
        """Extend NG workflow

        :type workflow migrator.core.workflow.base_workflow.BaseWorkflow
        :rtype None
        """
        TargetAutomationWorkflowExtension().extend_workflow(workflow)

        workflow.get_path('migrate').remove_actions(
            ['export-billing-data', 'export-dns-data', 'switch-to-production']
        )

        global_context = Registry.get_instance().get_context()
        source_service = None if not hasattr(global_context, 'migration_project') else \
            global_context.migration_project.hostingClass
        if source_service == SourceHostingClass.NG:
            workflow.get_path('migrate').insert_action(
                'refresh-webalizer-config', RefreshWebalizerConfig(), after='import-accounts-and-subscriptions'
            )

