# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.platform.lib.api.aps_runtime.aps2 import get_aps_connector_with_admin_token

import types


def get_ve(subscription_aps_id):
    """
    :param subscription_aps_id: string Example: '21a2b6c1-ae2a-4044-ae6e-d824c16fc147'
    :return: migrator.odin_automation.platform.lib.api.aps_runtime.utils.AttrDict|None The VE APS resource
    """
    aps = get_aps_connector_with_admin_token()
    return aps.get_first_resource(
        filter_str='implementing(%s),eq(aps.subscription,%s)' % (types.VirtualEnvironment, subscription_aps_id)
    )


def get_ve_aps_id(subscription_aps_id):
    """
    :param subscription_aps_id: string Example: '21a2b6c1-ae2a-4044-ae6e-d824c16fc147'
    :return: string|None Example: 'f00370ce-db90-4eb7-a653-3fb1de9c4c44'
    """
    ve = get_ve(subscription_aps_id)
    return ve['aps']['id'] if ve is not None else None
