# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.panel import Panel as PanelOA
from migrator.odin_automation.platform.lib.connections import target_server
from migrator.odin_automation.services.oaci.import_api import ImportApiOaciPlatform, ImportApiOaciBilling
from migrator.odin_automation.services.oaci.service_import_api import ServiceImportApiVPS


class Panel(PanelOA):
    def get_target_pcs_server(self, conn, pcs_node_ip):
        """
        :param conn: migrator.odin_automation.platform.lib.connections.target_connections.AutomationTargetConnections
        :param pcs_node_ip: string
        :return: migrator.odin_automation.platform.lib.connections.target_server.AutomationServer
        """
        return target_server.AutomationServer(conn, ip=pcs_node_ip)

    def get_service_import_api(self, global_context):
        """
        :param global_context: global_context: migrator.core.global_context.GlobalMigrationContext
        :return: migrator.odin_automation.services.oaci.service_import_api.ServiceImportApiVPS
        """
        return ServiceImportApiVPS()

    def get_import_api(self, global_context):
        if self.is_billing_module_installed():
            return ImportApiOaciBilling(global_context, self)
        else:
            return ImportApiOaciPlatform(global_context, self)
