# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.workflow.extension import WorkflowExtensionBase
from migrator.odin_automation.platform.workflow import WorkflowExtension as TargetAutomationWorkflowExtension
from migrator.odin_automation.services.oaci.actions.export_vps_parameters import ExportVpsParameters


class WorkflowExtension(WorkflowExtensionBase):
    def extend_workflow(self, workflow):
        """Extend VPS workflow

        :type workflow migrator.core.workflow.base_workflow.BaseWorkflow
        :rtype None
        """
        TargetAutomationWorkflowExtension().extend_workflow(workflow)

        workflow.get_path('migrate').insert_action(
            'export-vps-parameters', ExportVpsParameters(), after='export-billing-data'
        )

        workflow.get_shared_action('post-migration-prepare').remove_actions([
            'check-migration-list'
        ])

        workflow.get_path('migrate/switch-to-production').remove_actions(['setup-dns-forwarding'])
