# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.services.shm.actions.transfer.aps.base import ApplicationConfig
from migrator.odin_automation.services.shm.lib import get_database_server


class WindowsWebConfig(ApplicationConfig):
    NAME = 'webconfig'

    replace_map = {
        'web.config': {
            lambda self, line: 'connectionstring' in line.lower() or 'sqlserver' in line.lower(): [
                ApplicationConfig._replace_database_server,
                ApplicationConfig._replace_database_name,
                ApplicationConfig._replace_database_user_name
            ]
        }
    }

    def is_config(self, contents):
        # Default config has line like:
        # Server=10.10.10.10\MSSQL2005;Database=Database;uid=uid;pwd=password;
        contents_lower = contents.lower()
        return 'connectionstring' in contents_lower or 'sqlserver' in contents_lower

    def fix_config(self):
        if self.application.database_external_id is None:
            return

        databases_by_external_id = {database.external_id: database for database in self.webspace.databases}
        database = databases_by_external_id[self.application.database_external_id]
        source_database_server = get_database_server(database.database_server_id)

        if source_database_server.dbtype == 'mssql' and self.application.database_external_id is not None:
            self._fix_config_database(database)
