# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.actions.content.web.copy_content_base import CopyWebContentBase
from migrator.core.data.model.subscription import has_any_of_service_types
from migrator.odin_automation.services.shm.lib.transfer.content.web.content import WebContentListReader
from migrator.settings import SHARED_HOSTING_SERVICES


class CopyWebContent(CopyWebContentBase):
    def _get_content_list_reader(self, global_context):
        return WebContentListReader(global_context.session_files.get_path_to_shm_web_content_xml_file())

    def filter_subscription(self, global_context, subscription):
        """
        :type global_context: parallels.core.global_context.GlobalMigrationContext
        :type subscription: parallels.core.migrated_subscription.MigratedSubscription
        """

        return super(CopyWebContent, self).filter_subscription(global_context, subscription) and \
            has_any_of_service_types(subscription.source_info, SHARED_HOSTING_SERVICES)
