# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.checks.base import CheckSourceAbstract, CheckAbstract
from migrator.core.language import _T
from migrator.odin_automation.platform.checks.checks import Checks
from migrator.settings import MIGRATION_TYPE_FULL, SOURCE_PRODUCT_OA_WSH, TargetServiceType, SOURCE_PRODUCT_OA_WHL, SOURCE_PRODUCT_OA_LSH


class CheckHostsCapacitySHM(CheckSourceAbstract):
    SUPPORTED_TARGET_SERVICE_CLASSES = [TargetServiceType.SHM]
    SUPPORTED_MIGRATION_TYPES = [MIGRATION_TYPE_FULL]
    SUPPORTED_SOURCE_PRODUCTS = [SOURCE_PRODUCT_OA_WSH, SOURCE_PRODUCT_OA_WHL, SOURCE_PRODUCT_OA_LSH]

    def __init__(self):
        super(CheckHostsCapacitySHM, self).__init__(Checks.CHECK_HOSTS_CAPACITY_SHM, CheckAbstract.PHASE_NO_PHASE)

    def get_full_description(self):
        return _T('CHECK_FULL_DESCRIPTION_HOSTS_CAPACITY_OA_WSH_TO_SHM')

    def get_source_check_class(self):
        return 'hosts_capacity.Check'
