# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.checks.base import CheckSourceAbstract, CheckAbstract
from migrator.core.language import _T
from migrator.odin_automation.platform.checks.checks import Checks
from migrator.settings import MIGRATION_TYPE_TAKEOVER, SOURCE_PRODUCT_PLESK, TargetServiceType


class CheckUsersSHM(CheckSourceAbstract):
    SUPPORTED_TARGET_SERVICE_CLASSES = [TargetServiceType.SHM]
    SUPPORTED_MIGRATION_TYPES = [MIGRATION_TYPE_TAKEOVER]
    SUPPORTED_SOURCE_PRODUCTS = [SOURCE_PRODUCT_PLESK]

    def __init__(self):
        super(CheckUsersSHM, self).__init__(Checks.CHECK_USERS_SHM, CheckAbstract.PHASE_NO_PHASE)

    def get_full_description(self):
        return _T('CHECK_FULL_DESCRIPTION_USERS_SHM')

    def get_source_check_class(self):
        return 'users_shm.Check'
