# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.utils.loggers.log import trace
from migrator.core.utils.registry import Registry
from migrator.odin_automation.platform.lib.connections import target_server
from migrator.odin_automation.services.shm.lib.aps.host import get_shared_hosting_host_id_by_webspace
from migrator.odin_automation.services.shm.lib.aps.webspace import get_webspace_uid_by_site_name


@trace
def get_shared_hosting_host(subscription_id, webspace_name):
    webspace_uid = get_webspace_uid_by_site_name(subscription_id, webspace_name)
    return get_shared_hosting_host_by_webspace(webspace_uid)


@trace
def get_shared_hosting_host_by_webspace(webspace_uid):
    conn = Registry.get_instance().get_context().conn.target
    host_id = get_shared_hosting_host_id_by_webspace(webspace_uid)
    return target_server.PleskTargetServer.get(conn, id=host_id)


@trace
def get_shared_hosting_host_by_ip(ip_address):
    conn = Registry.get_instance().get_context().conn.target
    return target_server.PleskTargetServer.get(conn, ip=ip_address)
