# (C)2017 Ingram Micro Inc. all Rights Reserved
from collections import namedtuple


# The structures describe shm web specific objects
SHMWebspaces = namedtuple('SHMWebspaces', ('webspaces',))
SHMWebspace = namedtuple(
    'SHMWebspace',
    (
        'id', 'name', 'technical_name', 'external_id', 'type', 'plesk_guid', 'orig_system_user', 'system_user',
        'ip_addresses', 'web_source_host', 'web_target_host', 'www_root', 'sites', 'databases', 'database_users',
        'ftp_users', 'web_users', 'database_map', 'database_user_map', 'same_ssl', 'protected_directories'
    )
)
SHMWebsite = namedtuple(
    'SHMWebsite',
    (
        'id', 'name', 'external_id', 'status', 'is_main', 'plesk_guid', 'hosting', 'www_root'
    )
)

# The structures describe shm mail specific objects
MailWebspace = namedtuple(
    'MailWebspace',
    (
        'subscription_id', 'name', 'sites', 'mail_source_host', 'mail_target_host'
    )
)
MailWebsite = namedtuple(
    'MailWebsite',
    (
        'name', 'mailboxes'
    )
)
Mailbox = namedtuple(
    'Mailbox',
    (
        'name', 'password', 'is_password_generated', 'source_path', 'target_path'
    )
)
MailboxWithoutRestoringPassword = namedtuple(
    'MailboxWithoutRestoringPassword',
    (
        'site_name', 'mailbox_name'
    )
)