from migrator.core import MigrationError
from migrator.core.language import _T


def switch_dns_records(global_context, records_to_disable, records_to_enable):
    poa_api = global_context.conn.target.poa_api()

    records_to_manual_disable = []
    for r in records_to_disable:
        try:
            poa_api.domain.disable_record(r['recordId'])
        except:
            records_to_manual_disable.append(r)

    records_to_manual_enable = []
    for r in records_to_enable:
        try:
            poa_api.domain.enable_record(r['recordId'])
        except:
            records_to_manual_enable.append(r)

    msg = []
    for r in records_to_manual_disable:
        msg.append(
            _T('ERROR_OCCURED_WHILE_DEACTIVATING_DNS_RECORDS').format(domain=r['zone']['name'], records=r['recordId'])
        )

    for r in records_to_manual_enable:
        msg.append(
            _T('ERROR_OCCURED_WHILE_ACTIVATING_DNS_RECORDS').format(domain=r['zone']['name'], records=r['recordId'])
        )

    if msg:
        raise MigrationError(' '.join(msg))
