# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.platform.service_import_api import ServiceImportApiPlatform
from migrator.odin_automation.services.shm.actions.takeover.mail_hosting import TakeoverMailHosting
from migrator.odin_automation.services.shm.actions.takeover.takeover_webspace import TakeoverWebspace
from migrator.odin_automation.services.shm.actions.transfer.aps.fix_application_config import FixApplicationConfig
from migrator.odin_automation.services.shm.actions.transfer.switch_domain_records import SwitchDomainRecords
from migrator.odin_automation.services.shm.actions.transfer.unlinking_databases_from_subscriptions import \
    UnlinkingDatabasesFromSubscriptions
from migrator.odin_automation.services.shm.actions.transfer.content.calculate_statistics import CalculateStatistics
from migrator.odin_automation.services.shm.actions.transfer.content.db.copy_content import CopyDBContent
from migrator.odin_automation.services.shm.actions.transfer.content.mail.copy_content import CopyMailContent
from migrator.odin_automation.services.shm.actions.transfer.content.web.copy_content import CopyWebContent
from migrator.odin_automation.services.shm.actions.transfer.content.web.remove_default_index_files import \
    RemoveDefaultIndexFiles
from migrator.odin_automation.services.shm.actions.transfer.create_webspace import CreateWebspace
from migrator.odin_automation.services.shm.actions.transfer.settings.mail_hosting import RestoreMailHosting
from migrator.odin_automation.services.shm.actions.transfer.settings.web_hosting import RestoreHostingSettings
from migrator.odin_automation.services.shm.lib import get_webspaces_list
from migrator.odin_automation.services.shm.lib.aps.notification import send_notification_migration_completed


class ServiceImportApiSHM(ServiceImportApiPlatform):
    def _get_service_import_actions_full_migration(self, global_context):
        return [
            CreateWebspace(),
            RestoreHostingSettings(),
            RemoveDefaultIndexFiles(),
            CopyWebContent(),
            FixApplicationConfig(),
            RestoreMailHosting(),
            CopyMailContent(),
            CopyDBContent(),
            CalculateStatistics(),
            SwitchDomainRecords(),
            UnlinkingDatabasesFromSubscriptions(),
        ]

    def _get_service_import_actions_takeover(self, global_context):
        return [
            TakeoverWebspace(),
            TakeoverMailHosting(),
            CalculateStatistics(),
        ]

    def switch_subscription_services_to_production(self, global_context, subscription):
        super(ServiceImportApiSHM, self).switch_subscription_services_to_production(global_context, subscription)

        subscription_id = subscription.external_id
        if not subscription_id.isdigit():
            return

        webspaces_list = get_webspaces_list(subscription_id)
        for webspace in webspaces_list:
            for site in webspace.sites:
                send_notification_migration_completed(site.name, subscription.oa_id)
