# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.workflow.extension import WorkflowExtensionBase
from migrator.odin_automation.services.shm.actions.takeover.service_nodes_configure import ServiceNodesConfigure
from migrator.odin_automation.services.shm.actions.takeover.service_nodes_registration import ServiceNodesRegistration
from migrator.odin_automation.services.shm.workflow.transfer import WorkflowExtension as TransferWorkflow


class WorkflowExtension(WorkflowExtensionBase):
    def extend_workflow(self, workflow):
        """
        Extend shared hosting workflow with SHM Web SN takeover specific actions

        :type workflow migrator.core.workflow.base_workflow.BaseWorkflow
        """
        TransferWorkflow().extend_workflow(workflow)
        workflow.get_path('migrate').insert_action(
            'service-nodes-registration', ServiceNodesRegistration(), before='create-platform-subscription-list'
        )
        workflow.get_path('migrate').insert_action(
            'service-nodes-configuration-in-source', ServiceNodesConfigure(), before='service-nodes-registration'
        )
        workflow.get_path('migrate/restore-hosting').remove_actions(
            ['download-aps-backup-tool']
        )
        workflow.get_path('migrate').remove_actions(
            ['check-migration-project-items']
        )
