# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.services.shm.actions.check_migration_project_items import CheckMigrationProjectItems
from migrator.odin_automation.services.shm.actions.download_aps_backup_tool import DownloadApsBackupTool
from migrator.odin_automation.services.shm.actions.export_mail_hosting_data import ExportMailHostingData
from migrator.odin_automation.services.shm.actions.export_mail_content_data import ExportMailContentData
from migrator.odin_automation.services.shm.actions.export_web_content_data import ExportWebContentData
from migrator.odin_automation.services.shm.actions.export_web_hosting_data import ExportWebHostingData
from migrator.odin_automation.services.shm.actions.synchronize_statistics import SynchronizeSHMStatistics
from migrator.odin_automation.platform.workflow import WorkflowExtension as TargetAutomationWorkflowExtension
from migrator.core.workflow.extension import WorkflowExtensionBase


class WorkflowExtension(WorkflowExtensionBase):
    def extend_workflow(self, workflow):
        """Extend shared hosting workflow with SHM Web SN specific actions

        :type workflow migrator.core.workflow.base_workflow.BaseWorkflow
        :rtype None
        """
        TargetAutomationWorkflowExtension().extend_workflow(workflow)
        workflow.get_shared_action('post-migration-prepare').remove_actions([
            'check-migration-list'
        ])

        workflow.get_path('migrate').insert_action(
            'export-shm-web-hosting-data', ExportWebHostingData(), after='export-billing-data'
        )
        workflow.get_path('migrate').insert_action(
            'download-aps-backup-tool', DownloadApsBackupTool(), before='export-shm-web-hosting-data'
        )

        workflow.get_path('migrate').insert_action(
            'export-shm-mail-hosting-data', ExportMailHostingData(), after='export-shm-web-hosting-data'
        )
        workflow.get_path('migrate').insert_action(
            'export-shm-web-content-data', ExportWebContentData(), after='export-shm-mail-hosting-data'
        )
        workflow.get_path('migrate').insert_action(
            'export-shm-mail-content-data', ExportMailContentData(), after='export-shm-web-content-data'
        )
        workflow.get_path('migrate').insert_action(
            'check-migration-project-items', CheckMigrationProjectItems(), after='export-shm-mail-content-data'
        )
        workflow.get_path('migrate').insert_action(
            'update-shm-statistics', SynchronizeSHMStatistics(), after='copy-content'
        )
