# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.utils import generate_random_password
from migrator.odin_automation.platform.lib.db import execute_sql_and_get_formatted_result
from migrator.odin_automation.platform.lib.utils.decrypt import decrypt_data


def get_sys_user(webspace_id):
    sql = """
        SELECT ah.username AS name, asa.password AS password
        FROM apache_hostlist ah
        LEFT JOIN apache_ssh_access asa ON ah.homedir_id = asa.homedir_id
        WHERE ah.homedir_id = %s
    """
    raw_data = execute_sql_and_get_formatted_result(sql, ('name', 'password'), (webspace_id,))[0]

    user_info = {'name': raw_data['name']}
    if not raw_data['password']:
        user_info['password'] = generate_random_password()
    else:
        user_info['password'] = decrypt_data(raw_data['password'])

    return user_info


def get_ftp_users(webspace_id):
    sql = """
        SELECT pvu.login AS name, pvu.passwd_plain AS password
        FROM proftpd_vhosts_users pvu JOIN proftpd_domain_services pds ON pvu.ds_id = pds.ds_id
        WHERE pds.hd_id = %s
    """

    return execute_sql_and_get_formatted_result(sql, ('name', 'password', 'home_dir'), (webspace_id,))
