# (C)2017 Ingram Micro Inc. all Rights Reserved
import os

from migrator.odin_automation.platform.lib.db import OaServiceName, execute_sql_and_get_result

LSH_CONTENT_BASE_PATH = '/usr/local/pem/vhosts'


def get_webspace_root(webspace_id):
    sql = """
        SELECT ah.homedir_path, h.default_rootpath
        FROM apache_hostlist ah
        JOIN services svc ON ah.service_id = svc.service_id
        JOIN hosts h ON svc.host_id = h.host_id
        WHERE svc.name IN %s AND ah.homedir_id = %s
    """

    ws_info = execute_sql_and_get_result(sql, (tuple(OaServiceName.APACHE), webspace_id))[0]
    return os.path.join(LSH_CONTENT_BASE_PATH, ws_info[0].rstrip('/'), 'webspace')
