# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.data.model.web_content_shm import ContentItemModel
from migrator.odin_automation.services.ng.lib.server import AutomationServerNg
from migrator.products.oa.checks import hosts_availability
from migrator.settings import SourceHostingClass, PANEL_TYPE_APACHE_NG, OS_LINUX, SSH_DEFAULT_PORT

logger = logging.getLogger(__name__)


class Check(hosts_availability.Check):
    @classmethod
    def get_os(cls):
        return OS_LINUX

    @classmethod
    def get_source_hosting_class(cls):
        return SourceHostingClass.WHL

    @classmethod
    def get_panel_type(cls):
        return PANEL_TYPE_APACHE_NG

    @classmethod
    def get_automation_server(cls, conn, id=None, ip=None):
        return AutomationServerNg.get(conn, id, ip)

    @classmethod
    def get_content_item_model(cls):
        return ContentItemModel(source_path='/etc/fstab', target_path='/')

    @classmethod
    def get_rsync_port(cls):
        return u':' + unicode(SSH_DEFAULT_PORT)

    @classmethod
    def get_could_not_connect_to_source_hosts_msg(cls):
        return 'CHECK_OA_WHL_AVAILABILITY_ERRORS_PART_APACHE_HOSTS'
