# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.platform.lib.db import execute_sql_and_get_formatted_result, OaServiceName


def get_apache_host(webspace_id):
    """
    :param webspace_id: int Example: 100000
    :return: dict
    """
    sql = """
        SELECT ac.director_host_id AS host_id, domain_services.hd_id
        FROM services
        JOIN domain_services ON services.service_id = domain_services.service_id
        JOIN apache_h2e_clusters ac ON services.host_id = ac.cluster_id
        WHERE services.name IN %s AND domain_services.hd_id = %s
    """

    return execute_sql_and_get_formatted_result(sql, ('host_id',), [tuple(OaServiceName.APACHE_NG), webspace_id])[0]
