# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core import MigrationError
from migrator.core.actions.base.common_action import CommonAction
from migrator.core.checks.base import CheckAbstract
from migrator.core.language import _T
from migrator.odin_automation.platform.checks.checks import Checks
from migrator.odin_automation.platform.checks.manager import CheckManager


class CheckServiceTemplatesConflicts(CommonAction):
    CHECK_NAME = Checks.CHECK_SERVICE_TEMPLATES_CONFLICTS

    def run(self, global_context):
        check_manager = CheckManager()
        if check_manager.is_check_supported(self.CHECK_NAME):
            check_response = check_manager.run_check(self.CHECK_NAME)
            if check_response['status'] != CheckAbstract.STATUS_SUCCESS:
                raise MigrationError(check_response['message'])

    def get_description(self):
        return _T("CHECK_FULL_DESCRIPTION_SERVICE_TEMPLATES_CONFLICTS")

    def get_failure_message(self, global_context):
        return ''
