# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.data.model.web_content_shm import ContentItemModel
from migrator.core.transfer.target_path_converter import WindowsRsyncPathConverter
from migrator.core.utils.operating_system import windows_utils
from migrator.products.oa.checks import hosts_availability
from migrator.products.oa.wsh.lib.source_host import AutomationServerIIS
from migrator.settings import SourceHostingClass, PANEL_TYPE_IIS, RSYNC_SERVER_PORT_CLAUSE_WINDOWS, OS_WINDOWS

logger = logging.getLogger(__name__)


class Check(hosts_availability.Check):
    @classmethod
    def get_os(cls):
        return OS_WINDOWS

    @classmethod
    def get_source_hosting_class(cls):
        return SourceHostingClass.WSH

    @classmethod
    def get_panel_type(cls):
        return PANEL_TYPE_IIS

    @classmethod
    def get_automation_server(cls, conn, id=None, ip=None):
        return AutomationServerIIS.get(conn, id, ip)

    @classmethod
    def get_content_item_model(cls):
        return ContentItemModel(
            source_path=windows_utils.convert_path_to_cygwin_vhosts_folder(''),
            target_path=WindowsRsyncPathConverter().expand('')
        )

    @classmethod
    def get_rsync_port(cls):
        return RSYNC_SERVER_PORT_CLAUSE_WINDOWS

    @classmethod
    def get_could_not_connect_to_source_hosts_msg(cls):
        return 'CHECK_OA_WSH_AVAILABILITY_ERRORS_PART_IIS_HOSTS'
