# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.billing.lib.data.exporter import OaBillingExporter
from migrator.products.oa.wsh.lib.export.web_content_shm import WSHContentExporter
from migrator.products.oa.wsh.lib.export.web_hosting_shm import WSHHostingExporter
from migrator.settings import TargetServiceType, SERVICE_EXPORT_NOT_SUPPORTED

supported_services_exporters_map = {
    TargetServiceType.PLATFORM: {
        'settings': SERVICE_EXPORT_NOT_SUPPORTED,
    },
    TargetServiceType.BILLING: {
        'settings': OaBillingExporter,
    },
    TargetServiceType.SHM: {
        'settings': WSHHostingExporter,
        'content': WSHContentExporter
    },
    TargetServiceType.MAIL: {
        'settings': SERVICE_EXPORT_NOT_SUPPORTED,
        'content': SERVICE_EXPORT_NOT_SUPPORTED
    },
    TargetServiceType.DNS: {
        'content': SERVICE_EXPORT_NOT_SUPPORTED
    }
}
