# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.platform.lib.db import execute_sql_and_get_formatted_result


def get_applications(site_id):
    """
    :param site_id: int
    :return:
    """
    sql = """
        SELECT
          iis_siteapps_instances.addon_id AS site_id,
          aps_applications.name AS application_name,
          iis_webvdirs.location AS application_path
        FROM iis_siteapps_instances
          JOIN iis_siteapps_virt_dirs on iis_siteapps_virt_dirs.instance_id = iis_siteapps_instances.instance_id
          JOIN iis_webvdirs on iis_webvdirs.dir_id = iis_siteapps_virt_dirs.vdir_id
          JOIN aps_application_instances on iis_siteapps_instances.instance_id = aps_application_instances.app_instance_id
          JOIN aps_applications on aps_applications.app_id = aps_application_instances.app_id
        WHERE addon_id=%s
    """

    columns = ('site_id', 'app_name', 'app_path')

    return execute_sql_and_get_formatted_result(sql, columns, [site_id])