# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.platform.lib.db import execute_sql_and_get_formatted_result


def get_subscription_php_engine(subscription_id):
    """
    :param subscription_id: string Example: '1000001'
    :return: list[]
    """
    sql = 'SELECT rt_act_params.value' \
          ' FROM rt_act_params' \
          ' JOIN resource_types ON rt_act_params.rt_id = resource_types.rt_id' \
          ' JOIN subs_resources ON subs_resources.rt_id = resource_types.rt_id' \
          " WHERE subs_resources.sub_id = %s AND rt_act_params.name = 'iis.php.mode'"

    handlers = execute_sql_and_get_formatted_result(sql, ('php_handler',), [subscription_id])
    if not handlers or \
            len(set([x['php_handler'].lower() for x in handlers]).intersection(['fastcgi', 'fast-cgi-only'])) > 0:
        handlers = [{'php_handler': 'FastCGI'}]
    else:
        handlers = [{'php_handler': 'ISAPI'}]

    return handlers
