# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.odin_automation.platform.lib.db import execute_sql_and_get_formatted_result


class UserType(object):
    UT_WEBSPACE_USER = 0


def get_sys_user(webspace_id):
    """
    :param webspace_id: int
    :return: dict
    """
    sql = """
        SELECT
            actdir_user_props.sam_account_name AS name,
            actdir_user_props.password AS password
        FROM actdir_user_props
            JOIN iis_homedirs_users ON iis_homedirs_users.user_id = actdir_user_props.entity_id
            JOIN iis_users ON iis_homedirs_users.user_id = iis_users.user_id
        WHERE iis_homedirs_users.hd_id=%s
            AND iis_users.type=%s
    """

    users = execute_sql_and_get_formatted_result(sql, ('name', 'password'), [webspace_id, UserType.UT_WEBSPACE_USER])
    return users[0]


def get_web_users(subscription_id):
    """
    :param subscription_id: int
    :return: list[dict]
    """
    sql = """
        SELECT
            DISTINCT actdir_user_props.sam_account_name AS login,
            actdir_user_props.password AS password
        FROM actdir_user_props
            JOIN actdir_entities ON actdir_user_props.entity_id = actdir_entities.entity_id
            JOIN actdir_hs_users ON actdir_entities.entity_id = actdir_hs_users.entity_id
            JOIN iis_web_access_users ON actdir_hs_users.hsu_id = iis_web_access_users.hsu_id
            JOIN iis_webvsrvs ON iis_web_access_users.srv_id = iis_webvsrvs.srv_id
            JOIN iis_addons ON iis_webvsrvs.srv_id = iis_addons.srv_id
            JOIN iis_domain_services ON iis_addons.ds_id = iis_domain_services.ds_id
        WHERE iis_domain_services.sub_id=%s
    """

    return execute_sql_and_get_formatted_result(sql, ('login', 'password'), [subscription_id])


def get_ftp_users(webspace_id):
    """
    :param webspace_id: int
    :return: list[dict]
    """
    sql = """
        SELECT
            DISTINCT actdir_user_props.sam_account_name AS name,
            actdir_user_props.password AS password
        FROM iis_ftp_users
            JOIN actdir_hs_users ON iis_ftp_users.hsu_id = actdir_hs_users.hsu_id
            JOIN actdir_entities ON actdir_hs_users.entity_id = actdir_entities.entity_id
            JOIN actdir_user_props ON actdir_entities.entity_id = actdir_user_props.entity_id
            JOIN iis_webvdirs ON iis_ftp_users.srv_id = iis_webvdirs.srv_id
            JOIN iis_webvsrvs ON iis_webvdirs.srv_id = iis_webvsrvs.srv_id
            JOIN iis_addons ON iis_webvsrvs.srv_id = iis_addons.srv_id
            JOIN iis_domain_services ON iis_addons.ds_id = iis_domain_services.ds_id
        WHERE iis_domain_services.hd_id=%s
    """

    return execute_sql_and_get_formatted_result(sql, ('name', 'password'), [webspace_id])
