# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.main import Migrator as CommonMigrator
from migrator.products.oa.wsh.connections import OAMigratorConnections
from migrator.products.oa.wsh.lib.source_host import AutomationServerIIS

logger = logging.getLogger(__name__)


class Migrator(CommonMigrator):
    def _load_connections_configuration(self):
        return OAMigratorConnections(self.global_context, self._get_target_panel())

    def _get_rsync(self, source_server, target_server, source_ip=None):
        return self.global_context.rsync_pool.get(source_server, target_server, source_server.vhosts_dir)

    def _get_source_web_node(self, host_external_id, subscription_id):
        conn = self.global_context.target_panel_obj.get_connections(self.global_context)
        return AutomationServerIIS(conn, id=host_external_id)
