# (C)2017 Ingram Micro Inc. all Rights Reserved
# -*- coding: utf-8 -*-
"""Trivial data structures definition"""


class Repr:
    def __repr__(self):
        return str(vars(self))


class DynamicObject(Repr):

    """For store hash and referencing to fields through point"""

    def __init__(self):
        return


class DBData(Repr):

    def addElement(self, element):
        self.elements.append(element)

    def getElements(self, tag="", value=""):
        filteredElements = []
        for i in range(len(self.elements)):
            curEl = self.elements[i]
            if tag == "" or value == "" or curEl[tag] == value:
                filteredElements.append(curEl)
        return filteredElements

    def __init__(self):
        self.elements = []


class AccountInfo:

    """Info about single account"""

    TYPE_PROVIDER = 'p'
    TYPE_RESELLER = 'r'
    TYPE_CUSTOMER = 'c'

    def __init__(self):
        self.id = ""
        self.type = ""
        self.ownerId = ""

    def __repr__(self):
        return "Account #" + self.id + " (type '" + self.type + "', owner #" + self.ownerId + ")"


class SubscriptionInfo:

    """Info about single subscription"""

    def __init__(self, id, ownerId, serviceTemplateId):
        self.id = id
        self.ownerId = ownerId
        self.serviceTemplateId = serviceTemplateId

    def __repr__(self):
        return "Subscr #" + self.id + ": owner #" + self.ownerId +\
            ", service template #" + self.serviceTemplateId


class ServiceTemplateInfo:

    """Info about single service template"""

    def __init__(self, id, ownerId, name):
        self.id = id
        self.ownerId = ownerId
        self.name = name

    def __repr__(self):
        return "ST #" + self.id + " (\"" + self.name + "\")"


class Enum:

    """Class to emulate C-style enum"""

    def __init__(self, names):
        splittedNames = names.split()
        for number, name in enumerate(splittedNames):
            setattr(self, name, number)
        self.size = len(splittedNames)


class Domain:

    """Container for domain info"""

    def __init__(self, name, parent=None):
        self.name = name
        self.parent = parent

    def __repr__(self):
        ret = "Domain '" + self.name + "'"
        if None != self.parent:
            ret += " (parent: '" + self.parent + "')"
        return ret
