# (C)2017 Ingram Micro Inc. all Rights Reserved
import os
from collections import namedtuple

from migrator.core.connections.source_server import SourceServer
from migrator.core.session.config import read_ssh_auth


class ObasConfig(
        namedtuple('ObasConfig', ('id', 'ip', 'ssh_auth', 'session_dir', 'agent_home'))):
    pass


def read_obas_settings(section):
    """Return configuration settings for OBAS agent."""
    ssh_auth = read_ssh_auth(section)
    section.is_windows = False
    section.ip = section.get('ip')
    section.ssh_auth = ssh_auth
    section.session_dir = section.get('session_dir', '/opt/oa-migrator')
    agent_home = os.path.join(section.session_dir, 'migration_agent')
    server = SourceServer('obas', section)
    return server, ObasConfig('obas', ip=section.get('ip'), ssh_auth=ssh_auth,
            session_dir=section.session_dir, agent_home=agent_home)
