# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.products.obas.lib.export.dns import ObasDnsExporter
from migrator.settings import TargetServiceType
from migrator.products.obas.lib.export.platform import ObasExporter
from migrator.products.obas.lib.export.billing import ObasBillingExporter
from migrator.products.obas.lib.export.mail_hosting_shm import ObasMailExporter
from migrator.products.obas.lib.export.mail_content_shm import ObasMailContentExporter
from migrator.products.obas.lib.export.vps_parameters_oaci import ObasVPSParametersExporter
from migrator.products.obas.lib.export.web_hosting_shm import ObasHostingExporter
from migrator.products.obas.lib.export.web_content_shm import ObasHostingContentExporter

supported_services_exporters_map = {
    TargetServiceType.PLATFORM: {
        'settings': ObasExporter,
    },
    TargetServiceType.BILLING: {
        'settings': ObasBillingExporter,
    },
    TargetServiceType.SHM: {
        'settings': ObasHostingExporter,
        'content': ObasHostingContentExporter
    },
    TargetServiceType.MAIL: {
        'settings': ObasMailExporter,
        'content': ObasMailContentExporter,
    },
    TargetServiceType.DNS: {
        'content': ObasDnsExporter
    },
    TargetServiceType.OACI: {
        'settings': ObasVPSParametersExporter
    },
}
