# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.product.host import Agent
from migrator.core.utils.filetypes.config_utils import get_source_type_section
from migrator.core.utils.registry import Registry
from migrator.products.obas.lib.agent import ObasMigrationAgent
from migrator.products.obas.config import read_obas_settings


class AgentInstaller(Agent):
    @classmethod
    def install(cls):
        """Construct Agent object using properties from config.ini"""
        global_context = Registry.get_instance().get_context()
        section = get_source_type_section(global_context.config)
        source_server, _ = read_obas_settings(section)
        return ObasMigrationAgent(source_server)
