# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core.data.model.subscription import has_any_of_service_types
from migrator.core.data.format.web_content_shm import ShmWebContentReader
from migrator.core.data.model.web_content_shm import SubscriptionModel
from migrator.products.obas.lib.export.base import ObasExporterBase
from migrator.products.plesk.export import get_plesk_content_exporter_class
from migrator.settings import TargetServiceType, SOURCE_HOSTING_CLASSES_TO_SERVICES_MAP, SourceHostingClass


class ObasHostingContentExporter(ObasExporterBase, ShmWebContentReader):
    def get_subscription(self, subscription_id):
        return SubscriptionModel(
            external_id=subscription_id,
            webspaces=self.get_webspaces_list(subscription_id)
        )

    def get_webspaces_list(self, subscription_id):
        subscription = self._db.get_subscription(subscription_id)
        if not has_any_of_service_types(subscription, SOURCE_HOSTING_CLASSES_TO_SERVICES_MAP[SourceHostingClass.SHARED]):
            return []

        hw_id = subscription.services[0].source_host_external_id
        self._init_plesk_exporter(hw_id, get_plesk_content_exporter_class, TargetServiceType.SHM)
        return self._get_webspaces_list(hw_id, subscription)
