# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core import _T
from migrator.core.utils.registry import Registry
from migrator.products.obas.lib.export.base import ObasSubscriptionExternalId

logger = logging.getLogger(__name__)


def suspend_subscription(subscription):
    global_context = Registry.get_instance().get_context()
    agent = global_context.migrator.agent
    obas_external_id = ObasSubscriptionExternalId.from_string(subscription.external_id)
    if obas_external_id.subscription_id:
        logger.info(_T("PUTTING_OBAS_SUBSCRIPTION_ON_HOLD").format(subscription_id=obas_external_id.subscription_id))
        agent.disable_subscription(obas_external_id.subscription_id)
    else:
        logger.info(_T("NO_OBAS_SUBSCRIPTION_ASSOCIATED_WITH_ITEM"))
