# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.utils.filetypes.config_utils import get_source_type_section
from migrator.products.obas.config import read_obas_settings
from migrator.products.obas.lib.agent import ObasMigrationAgent
from migrator.products.plesk.main import Migrator as PleskMigrator

logger = logging.getLogger(__name__)


class Migrator(PleskMigrator):
    def __init__(self, options):
        super(Migrator, self).__init__(options)

        section = get_source_type_section(self.global_context.config)
        source_server, settings = read_obas_settings(section)
        self.agent = ObasMigrationAgent(source_server)

        self.source_migration_objects = None
        self.source_accounts_info = {}
