# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core import MigrationError
from migrator.core.language import _T
from migrator.core.actions.base.common_action import CommonAction


class InstallMigrationAgents(CommonAction):
    def run(self, global_context):
        for server_id, data in global_context.conn.get_source_plesks().items():
            source_server = global_context.conn.get_source_server_object(server_id)
            try:
                agent = global_context.source_product.get_agent_instance()
                if not agent.is_installed:
                    agent.install()

                agent.start(True)
                if agent.status() != agent.STATUS_RUNNING:
                    raise Exception(_T("MIGRATION_AGENT_STILL_NOT_RUNNING").format(host=source_server.ip()))
            except Exception as e:
                raise MigrationError(e)

    def get_description(self):
        return _T("INSTALL_MIGRATION_AGENT_ON_SOURCE")

    def get_failure_message(self, global_context):
        return _T("INSTALL_MIGRATION_AGENT_ON_SOURCE_FAILED")
