# (C)2017 Ingram Micro Inc. all Rights Reserved
from migrator.core import InternalError
from migrator.core.checks.base import CheckAbstract
from migrator.core.language import _T
from migrator.core.utils.registry import Registry
from migrator.core.utils.filetypes.config_utils import ConfigHostSection
from migrator.products.plesk.checks.lib.hosts_authentication import get_plesk_host_authentication_status


class Check(object):
    def run(self):
        global_context = Registry.get_instance().get_context()
        config_section = ConfigHostSection(global_context.config, 'plesk')
        plesk_host_authentication_status = get_plesk_host_authentication_status(config_section)
        if plesk_host_authentication_status == 0:
            return CheckAbstract.STATUS_SUCCESS, _T('CHECK_PLESK_HOSTS_AUTHENTICATION_SUCCESS').format(hostname=config_section.get('ip'))

        if plesk_host_authentication_status == 1:
            return CheckAbstract.STATUS_ERROR, _T('CHECK_PLESK_HOSTS_AUTHENTICATION_ERROR_WRONG_PARAMS').format(hostname=config_section.get('ip'))

        if plesk_host_authentication_status == 2:
            return CheckAbstract.STATUS_ERROR, _T('CHECK_PLESK_HOSTS_AUTHENTICATION_ERROR_EMPTY_PARAMS').format(hostname=config_section.get('ip'))

        if plesk_host_authentication_status == 3:
            return CheckAbstract.STATUS_ERROR, _T("CHECK_PLESK_PANEL_AUTHENTICATION_UNEXPECTED_RESULT").format(hostname=config_section.get('ip'))

        return InternalError("Unable to check Plesk server's authentication: an internal error occured. Contact technical support to resolve the issue.")
