# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.checks.base import CheckAbstract
from migrator.core.language import _T
from migrator.core.utils.filetypes.config_utils import ConfigHostSection
from migrator.core.utils.registry import Registry
from migrator.products.plesk.checks.lib.hosts_network_mode import \
    is_host_routed_mode, IS_HOST_ROUTED_RESULT_TRUE, IS_HOST_ROUTED_RESULT_FALSE, DOC_LINK_ABOUT_NET_CONFIGURATIONS

logger = logging.getLogger(__name__)


class Check(object):
    def run(self):
        global_context = Registry.get_instance().get_context()
        config_section = ConfigHostSection(global_context.config, 'plesk')
        plesk_ip = config_section.get('ip')
        host_network_mode = is_host_routed_mode(config_section)
        if host_network_mode == IS_HOST_ROUTED_RESULT_TRUE:
            return CheckAbstract.STATUS_ERROR, _T('CHECK_HOSTS_NETWORK_MODE_PLESK_ERROR_DETECTED_HOST_ROUTED').format(
                hostname=plesk_ip,
                link=DOC_LINK_ABOUT_NET_CONFIGURATIONS
            )

        if host_network_mode == IS_HOST_ROUTED_RESULT_FALSE:
            return CheckAbstract.STATUS_SUCCESS, _T('CHECK_HOSTS_NETWORK_MODE_SUCCESS').format(hostname=plesk_ip)

        return CheckAbstract.STATUS_ERROR, _T('CHECK_HOSTS_NETWORK_MODE_ERROR_UNEXPECTED').format(
            hostname=plesk_ip,
        )
