# (C)2017 Ingram Micro Inc. all Rights Reserved

def get_linux_admin_password(plesk_version, plesk_dir, runner):
    if plesk_version >= (10, 4):
        command = u'%s/bin/admin --show-password' % plesk_dir
        return runner.sh(command, log_output=False).rstrip('\n')
    else:
        return runner.get_file_contents(u'/etc/psa/.psa.shadow').rstrip('\n')


def get_windows_admin_password(plesk_version, plesk_dir, runner):
    if plesk_version >= (10, 4):
        return runner.sh(ur'"%s\bin\admin" --show-password' % plesk_dir, log_output=False).rstrip('\n')
    else:
        stdout = runner.sh(ur'"%s\admin\bin\plesksrvclient" -get -nogui' % plesk_dir, log_output=False)
        return stdout[stdout.find(': ') + 2:]


def split_version_string(version):
    return tuple(map(int, (version.split("."))))
