# (C)2017 Ingram Micro Inc. all Rights Reserved
import logging

from migrator.core.connections.source_server import SourceServer
from migrator.core.connections.plesk_server import PleskServer
from migrator.core.utils import cached
from migrator.products.plesk.target.utils import plesk_utils

logger = logging.getLogger(__name__)


class PleskSourceServer(SourceServer, PleskServer):
    def __init__(self, node_id, node_settings, migrator_server=None, winexe_runas=False):
        super(PleskSourceServer, self).__init__(node_id, node_settings, migrator_server, winexe_runas)

    @cached
    def plesk_api(self):
        # Here we create a client with minimum supported version. We further make a request to find
        # out Plesk panel version, and update XML API version of the API client accordingly.
        return self._plesk_api(self.node_settings.ip, '8.4')

    @cached
    def get_database_server_password(self, dbtype, dbhost, dbport):
        if self.is_windows():
            _, password = plesk_utils.get_windows_db_server_credentials(self, dbtype, dbhost, dbport)
        else:
            _, password = plesk_utils.get_unix_db_server_credentials(self, dbtype, dbhost, dbport)

        return password
